Purchase Order¶
Get A Resource By ID¶
HTTP Request
GET /api/v1/purchase-order/{id}
📋 Description: Returns the single resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "state": "INV_DRAFT",
18 "issueDate": "2019-08-24",
19 "expectedDeliveryDate": "2019-08-24",
20 "name": "string",
21 "shippingAddress": "string",
22 "notes": "string",
23 "netAmount": 0,
24 "taxAmount": 0,
25 "externalPurchaseOrderDisplayId": "string",
26 "vendor": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "currency": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string",
38 "decimalPoints": 0
39 },
40 "company": {
41 "id": 0,
42 "displayId": "string",
43 "status": "CREATED",
44 "erpSystemId": 0,
45 "erpSystemDisplayId": "string",
46 "countryId": 0,
47 "countryDisplayId": "string",
48 "name": "string",
49 "postingPeriodVariantId": 0,
50 "fiscalVariantId": 0
51 },
52 "purchaseOrderLineItems": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "quantity": 0,
57 "allocatedQuantity": 0,
58 "receivedQuantity": 0,
59 "unitPrice": 0,
60 "description": "string",
61 "expenseCategory": {
62 "id": 0,
63 "displayId": "string",
64 "status": "CREATED",
65 "name": "string",
66 "expenseCategoryType": "PAYMENT"
67 },
68 "costCenter": {
69 "id": 0,
70 "displayId": "string",
71 "status": "CREATED",
72 "name": "string",
73 "erpSystemId": 0
74 },
75 "profitCenter": {
76 "id": 0,
77 "displayId": "string",
78 "status": "CREATED",
79 "name": "string",
80 "validTo": "2019-08-24",
81 "erpSystemId": 0,
82 "erpSystemDisplayId": "string"
83 },
84 "taxJurisdiction": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "erpSystemId": 0,
90 "schema": "string",
91 "countryDisplayId": "string"
92 },
93 "taxCode": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "taxLineItems": [
101 {
102 "id": 0,
103 "taxRate": 0.1,
104 "taxAmount": 0,
105 "taxType": "string",
106 "purchaseOrderLineItemId": 0
107 }
108 ],
109 "purchaseOrderId": 0,
110 "purchaseOrderDisplayId": "string",
111 "purchaseOrderState": "INV_DRAFT",
112 "invoiceLineItems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "expenseCategory": {
117 "id": 0,
118 "displayId": "string",
119 "status": "CREATED",
120 "name": "string",
121 "expenseCategoryType": "PAYMENT"
122 },
123 "description": "string",
124 "unitOfMeasure": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "quantity": 0,
132 "unitPrice": 0,
133 "taxJurisdiction": {
134 "id": 0,
135 "displayId": "string",
136 "status": "CREATED",
137 "name": "string",
138 "erpSystemId": 0,
139 "schema": "string",
140 "countryDisplayId": "string"
141 },
142 "taxCode": {
143 "id": 0,
144 "displayId": "string",
145 "status": "CREATED",
146 "name": "string",
147 "erpSystemId": 0
148 },
149 "taxExpenseAccount": {
150 "id": 0,
151 "displayId": "string",
152 "generalLedgerAccountName": "string",
153 "generalLedgerAccountCode": "string",
154 "openItemManagement": true,
155 "accountCategory": "BALANCESHEET",
156 "shortName": "string",
157 "longName": "string"
158 },
159 "taxLineItems": [
160 {
161 "id": 0,
162 "taxRate": 0.1,
163 "taxAmount": 0,
164 "taxType": "string",
165 "invoiceLineItemId": 0
166 }
167 ],
168 "workBreakdownStructure": {
169 "id": 0,
170 "displayId": "string",
171 "status": "CREATED",
172 "name": "string",
173 "erpSystemId": 0
174 },
175 "costCenter": {
176 "id": 0,
177 "displayId": "string",
178 "status": "CREATED",
179 "name": "string",
180 "erpSystemId": 0
181 },
182 "profitCenter": {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string",
187 "validTo": "2019-08-24",
188 "erpSystemId": 0,
189 "erpSystemDisplayId": "string"
190 },
191 "functionalArea": {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "erpSystemId": 0
197 },
198 "businessArea": {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "erpSystemId": 0
204 },
205 "segment": {
206 "id": 0,
207 "displayId": "string",
208 "status": "CREATED",
209 "name": "string",
210 "erpSystemId": 0
211 },
212 "network": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "internalOrderType": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "internalOrder": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0,
232 "internalOrderTypeId": 0
233 },
234 "additionalCurrencies": [
235 {
236 "id": 0,
237 "amount": 0,
238 "currency": {
239 "id": 0,
240 "displayId": "string",
241 "status": "CREATED",
242 "name": "string",
243 "decimalPoints": 0
244 },
245 "conversionRate": 0,
246 "conversionDate": "2019-08-24",
247 "translationDateType": "DOCUMENT_DATE",
248 "amountType": "NET_AMOUNT",
249 "currencyDefinitionType": "CONTRACT_CURRENCY",
250 "invoiceEntryId": 0,
251 "invoiceEntryDisplayId": "string"
252 }
253 ],
254 "scheduledPaymentMatches": [
255 {
256 "id": 0,
257 "fromId": 0,
258 "toId": 0,
259 "amount": 0
260 }
261 ],
262 "goodsReceiptLineItemLinks": [
263 {
264 "id": 0,
265 "fromId": 0,
266 "toId": 0,
267 "linkedQuantity": 0
268 }
269 ],
270 "invoiceId": 0,
271 "invoiceDisplayId": "string",
272 "invoiceState": "INV_DRAFT",
273 "vendorPaymentId": 0,
274 "purchaseOrderLineItemId": 0,
275 "netAmount": 0,
276 "allowsSystemGenerateNewId": true,
277 "numberRangeIdentifierValue": "string",
278 "numberRangeIdentifierType": {
279 "name": "string"
280 },
281 "numberRangeType": {
282 "name": "string"
283 }
284 }
285 ],
286 "goodsReceiptLineItems": [
287 {
288 "id": 0,
289 "displayId": "string",
290 "quantity": 0,
291 "invoicedQuantity": 0,
292 "description": "string",
293 "expenseCategory": {
294 "id": 0,
295 "displayId": "string",
296 "status": "CREATED",
297 "name": "string",
298 "expenseCategoryType": "PAYMENT"
299 },
300 "goodsReceiptId": 0,
301 "goodsReceiptDisplayId": "string",
302 "goodsReceiptState": "INV_DRAFT",
303 "purchaseOrderLineItemId": 0,
304 "invoiceLineItemLinks": [
305 {
306 "id": 0,
307 "fromId": 0,
308 "toId": 0,
309 "linkedQuantity": 0
310 }
311 ],
312 "availableQuantity": 0,
313 "allowsSystemGenerateNewId": true,
314 "numberRangeIdentifierValue": "string",
315 "numberRangeIdentifierType": {
316 "name": "string"
317 },
318 "numberRangeType": {
319 "name": "string"
320 }
321 }
322 ],
323 "vendorPaymentId": 0,
324 "purchaseRequisitionLineItemId": 0,
325 "purchaseRequisitionDisplayId": "string",
326 "purchaseRequisitionLineItemAvailableQuantity": 0,
327 "remainingQuantity": 0,
328 "availableQuantity": 0,
329 "allowsSystemGenerateNewId": true,
330 "numberRangeIdentifierValue": "string",
331 "numberRangeIdentifierType": {
332 "name": "string"
333 },
334 "numberRangeType": {
335 "name": "string"
336 }
337 }
338 ],
339 "purchaseRequisitionIds": [
340 0
341 ],
342 "purchaseRequisitionDisplayIds": [
343 "string"
344 ],
345 "invoices": [
346 {
347 "id": 0,
348 "displayId": "string",
349 "name": "string",
350 "invoiceType": "VENDOR_INV",
351 "state": "INV_DRAFT",
352 "externalDocumentNumber": "string",
353 "purchaseOrderReference": "string",
354 "invoiceDate": "2019-08-24",
355 "dueDate": "2019-08-24",
356 "notes": "string",
357 "billingPeriodFromDate": "2019-08-24",
358 "billingPeriodToDate": "2019-08-24",
359 "currency": {
360 "id": 0,
361 "displayId": "string",
362 "status": "CREATED",
363 "name": "string",
364 "decimalPoints": 0
365 },
366 "vendor": {
367 "id": 0,
368 "displayId": "string",
369 "status": "CREATED",
370 "name": "string",
371 "erpSystemDisplayId": "string"
372 },
373 "company": {
374 "id": 0,
375 "displayId": "string",
376 "status": "CREATED",
377 "erpSystemId": 0,
378 "erpSystemDisplayId": "string",
379 "countryId": 0,
380 "countryDisplayId": "string",
381 "name": "string",
382 "postingPeriodVariantId": 0,
383 "fiscalVariantId": 0
384 },
385 "netAmount": 0,
386 "taxAmount": 0,
387 "totalAmount": 0,
388 "netAmountBalance": 0,
389 "taxAmountBalance": 0,
390 "paymentTerm": {
391 "id": 0,
392 "displayId": "string",
393 "status": "CREATED",
394 "name": "string"
395 },
396 "paymentMethod": {
397 "id": 0,
398 "displayId": "string",
399 "status": "CREATED",
400 "name": "string",
401 "type": "string"
402 },
403 "paymentBlock": {
404 "id": 0,
405 "displayId": "string",
406 "status": "CREATED",
407 "name": "string"
408 },
409 "defaultCostCenter": {
410 "id": 0,
411 "displayId": "string",
412 "status": "CREATED",
413 "name": "string",
414 "erpSystemId": 0
415 },
416 "defaultProfitCenter": {
417 "id": 0,
418 "displayId": "string",
419 "status": "CREATED",
420 "name": "string",
421 "validTo": "2019-08-24",
422 "erpSystemId": 0,
423 "erpSystemDisplayId": "string"
424 },
425 "invoiceLineItems": [
426 {
427 "id": 0,
428 "displayId": "string",
429 "expenseCategory": {
430 "id": 0,
431 "displayId": "string",
432 "status": "CREATED",
433 "name": "string",
434 "expenseCategoryType": "PAYMENT"
435 },
436 "description": "string",
437 "unitOfMeasure": {
438 "id": 0,
439 "displayId": "string",
440 "status": "CREATED",
441 "name": "string",
442 "erpSystemId": 0
443 },
444 "quantity": 0,
445 "unitPrice": 0,
446 "taxJurisdiction": {
447 "id": 0,
448 "displayId": "string",
449 "status": "CREATED",
450 "name": "string",
451 "erpSystemId": 0,
452 "schema": "string",
453 "countryDisplayId": "string"
454 },
455 "taxCode": {
456 "id": 0,
457 "displayId": "string",
458 "status": "CREATED",
459 "name": "string",
460 "erpSystemId": 0
461 },
462 "taxExpenseAccount": {
463 "id": 0,
464 "displayId": "string",
465 "generalLedgerAccountName": "string",
466 "generalLedgerAccountCode": "string",
467 "openItemManagement": true,
468 "accountCategory": "BALANCESHEET",
469 "shortName": "string",
470 "longName": "string"
471 },
472 "taxLineItems": [
473 {
474 "id": 0,
475 "taxRate": 0.1,
476 "taxAmount": 0,
477 "taxType": "string",
478 "invoiceLineItemId": 0
479 }
480 ],
481 "workBreakdownStructure": {
482 "id": 0,
483 "displayId": "string",
484 "status": "CREATED",
485 "name": "string",
486 "erpSystemId": 0
487 },
488 "costCenter": {
489 "id": 0,
490 "displayId": "string",
491 "status": "CREATED",
492 "name": "string",
493 "erpSystemId": 0
494 },
495 "profitCenter": {
496 "id": 0,
497 "displayId": "string",
498 "status": "CREATED",
499 "name": "string",
500 "validTo": "2019-08-24",
501 "erpSystemId": 0,
502 "erpSystemDisplayId": "string"
503 },
504 "functionalArea": {
505 "id": 0,
506 "displayId": "string",
507 "status": "CREATED",
508 "name": "string",
509 "erpSystemId": 0
510 },
511 "businessArea": {
512 "id": 0,
513 "displayId": "string",
514 "status": "CREATED",
515 "name": "string",
516 "erpSystemId": 0
517 },
518 "segment": {
519 "id": 0,
520 "displayId": "string",
521 "status": "CREATED",
522 "name": "string",
523 "erpSystemId": 0
524 },
525 "network": {
526 "id": 0,
527 "displayId": "string",
528 "status": "CREATED",
529 "name": "string",
530 "erpSystemId": 0
531 },
532 "internalOrderType": {
533 "id": 0,
534 "displayId": "string",
535 "status": "CREATED",
536 "name": "string",
537 "erpSystemId": 0
538 },
539 "internalOrder": {
540 "id": 0,
541 "displayId": "string",
542 "status": "CREATED",
543 "name": "string",
544 "erpSystemId": 0,
545 "internalOrderTypeId": 0
546 },
547 "additionalCurrencies": [
548 {
549 "id": 0,
550 "amount": 0,
551 "currency": {
552 "id": 0,
553 "displayId": "string",
554 "status": "CREATED",
555 "name": "string",
556 "decimalPoints": 0
557 },
558 "conversionRate": 0,
559 "conversionDate": "2019-08-24",
560 "translationDateType": "DOCUMENT_DATE",
561 "amountType": "NET_AMOUNT",
562 "currencyDefinitionType": "CONTRACT_CURRENCY",
563 "invoiceEntryId": 0,
564 "invoiceEntryDisplayId": "string"
565 }
566 ],
567 "scheduledPaymentMatches": [
568 {
569 "id": 0,
570 "fromId": 0,
571 "toId": 0,
572 "amount": 0
573 }
574 ],
575 "goodsReceiptLineItemLinks": [
576 {
577 "id": 0,
578 "fromId": 0,
579 "toId": 0,
580 "linkedQuantity": 0
581 }
582 ],
583 "invoiceId": 0,
584 "invoiceDisplayId": "string",
585 "invoiceState": "INV_DRAFT",
586 "vendorPaymentId": 0,
587 "purchaseOrderLineItemId": 0,
588 "netAmount": 0,
589 "allowsSystemGenerateNewId": true,
590 "numberRangeIdentifierValue": "string",
591 "numberRangeIdentifierType": {
592 "name": "string"
593 },
594 "numberRangeType": {
595 "name": "string"
596 }
597 }
598 ],
599 "workspaceId": 0,
600 "workspaceDisplayId": "string",
601 "workspaceName": "string",
602 "workspaceState": "INV_DRAFT",
603 "remainingNetAmount": 0,
604 "remainingTaxAmount": 0,
605 "remainingTotalAmount": 0,
606 "pendingPaymentCount": 0,
607 "allPaymentsPosted": true,
608 "approvalInfo": {
609 "approverUsername": "string",
610 "approvedAt": "2019-08-24T14:15:22Z"
611 },
612 "rejectionReason": "string",
613 "allowsSystemGenerateNewId": true,
614 "numberRangeIdentifierValue": "string",
615 "numberRangeIdentifierType": {
616 "name": "string"
617 },
618 "numberRangeType": {
619 "name": "string"
620 }
621 }
622 ],
623 "rejectionReason": "string",
624 "allowsSystemGenerateNewId": true,
625 "numberRangeIdentifierValue": "string",
626 "numberRangeIdentifierType": {
627 "name": "string"
628 },
629 "numberRangeType": {
630 "name": "string"
631 }
632 }
633}
Update A Resource¶
HTTP Request
PUT /api/v1/purchase-order/{id}
📋 Description: Fully replaces the resource with the given ID. All fields in the request body are applied.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
body |
body |
true |
Request body containing the updated purchase order details, including item specifications, quantities, and pricing information. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "state": "INV_DRAFT",
5 "issueDate": "2019-08-24",
6 "expectedDeliveryDate": "2019-08-24",
7 "name": "string",
8 "shippingAddress": "string",
9 "notes": "string",
10 "netAmount": 0,
11 "taxAmount": 0,
12 "externalPurchaseOrderDisplayId": "string",
13 "vendor": {
14 "id": 0,
15 "displayId": "string",
16 "status": "CREATED",
17 "name": "string",
18 "erpSystemDisplayId": "string"
19 },
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "company": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "erpSystemId": 0,
32 "erpSystemDisplayId": "string",
33 "countryId": 0,
34 "countryDisplayId": "string",
35 "name": "string",
36 "postingPeriodVariantId": 0,
37 "fiscalVariantId": 0
38 },
39 "purchaseOrderLineItems": [
40 {
41 "id": 0,
42 "displayId": "string",
43 "quantity": 0,
44 "allocatedQuantity": 0,
45 "receivedQuantity": 0,
46 "unitPrice": 0,
47 "description": "string",
48 "expenseCategory": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "expenseCategoryType": "PAYMENT"
54 },
55 "costCenter": {
56 "id": 0,
57 "displayId": "string",
58 "status": "CREATED",
59 "name": "string",
60 "erpSystemId": 0
61 },
62 "profitCenter": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "validTo": "2019-08-24",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 },
71 "taxJurisdiction": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string",
76 "erpSystemId": 0,
77 "schema": "string",
78 "countryDisplayId": "string"
79 },
80 "taxCode": {
81 "id": 0,
82 "displayId": "string",
83 "status": "CREATED",
84 "name": "string",
85 "erpSystemId": 0
86 },
87 "taxLineItems": [
88 {
89 "id": 0,
90 "taxRate": 0.1,
91 "taxAmount": 0,
92 "taxType": "string",
93 "purchaseOrderLineItemId": 0
94 }
95 ],
96 "purchaseOrderId": 0,
97 "purchaseOrderDisplayId": "string",
98 "purchaseOrderState": "INV_DRAFT",
99 "invoiceLineItems": [
100 {
101 "id": 0,
102 "displayId": "string",
103 "expenseCategory": {
104 "id": 0,
105 "displayId": "string",
106 "status": "CREATED",
107 "name": "string",
108 "expenseCategoryType": "PAYMENT"
109 },
110 "description": "string",
111 "unitOfMeasure": {
112 "id": 0,
113 "displayId": "string",
114 "status": "CREATED",
115 "name": "string",
116 "erpSystemId": 0
117 },
118 "quantity": 0,
119 "unitPrice": 0,
120 "taxJurisdiction": {
121 "id": 0,
122 "displayId": "string",
123 "status": "CREATED",
124 "name": "string",
125 "erpSystemId": 0,
126 "schema": "string",
127 "countryDisplayId": "string"
128 },
129 "taxCode": {
130 "id": 0,
131 "displayId": "string",
132 "status": "CREATED",
133 "name": "string",
134 "erpSystemId": 0
135 },
136 "taxExpenseAccount": {
137 "id": 0,
138 "displayId": "string",
139 "generalLedgerAccountName": "string",
140 "generalLedgerAccountCode": "string",
141 "openItemManagement": true,
142 "accountCategory": "BALANCESHEET",
143 "shortName": "string",
144 "longName": "string"
145 },
146 "taxLineItems": [
147 {
148 "id": 0,
149 "taxRate": 0.1,
150 "taxAmount": 0,
151 "taxType": "string",
152 "invoiceLineItemId": 0
153 }
154 ],
155 "workBreakdownStructure": {
156 "id": 0,
157 "displayId": "string",
158 "status": "CREATED",
159 "name": "string",
160 "erpSystemId": 0
161 },
162 "costCenter": {
163 "id": 0,
164 "displayId": "string",
165 "status": "CREATED",
166 "name": "string",
167 "erpSystemId": 0
168 },
169 "profitCenter": {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string",
174 "validTo": "2019-08-24",
175 "erpSystemId": 0,
176 "erpSystemDisplayId": "string"
177 },
178 "functionalArea": {
179 "id": 0,
180 "displayId": "string",
181 "status": "CREATED",
182 "name": "string",
183 "erpSystemId": 0
184 },
185 "businessArea": {
186 "id": 0,
187 "displayId": "string",
188 "status": "CREATED",
189 "name": "string",
190 "erpSystemId": 0
191 },
192 "segment": {
193 "id": 0,
194 "displayId": "string",
195 "status": "CREATED",
196 "name": "string",
197 "erpSystemId": 0
198 },
199 "network": {
200 "id": 0,
201 "displayId": "string",
202 "status": "CREATED",
203 "name": "string",
204 "erpSystemId": 0
205 },
206 "internalOrderType": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "erpSystemId": 0
212 },
213 "internalOrder": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "name": "string",
218 "erpSystemId": 0,
219 "internalOrderTypeId": 0
220 },
221 "additionalCurrencies": [
222 {
223 "id": 0,
224 "amount": 0,
225 "currency": {
226 "id": 0,
227 "displayId": "string",
228 "status": "CREATED",
229 "name": "string",
230 "decimalPoints": 0
231 },
232 "conversionRate": 0,
233 "conversionDate": "2019-08-24",
234 "translationDateType": "DOCUMENT_DATE",
235 "amountType": "NET_AMOUNT",
236 "currencyDefinitionType": "CONTRACT_CURRENCY",
237 "invoiceEntryId": 0,
238 "invoiceEntryDisplayId": "string"
239 }
240 ],
241 "scheduledPaymentMatches": [
242 {
243 "id": 0,
244 "fromId": 0,
245 "toId": 0,
246 "amount": 0
247 }
248 ],
249 "goodsReceiptLineItemLinks": [
250 {
251 "id": 0,
252 "fromId": 0,
253 "toId": 0,
254 "linkedQuantity": 0
255 }
256 ],
257 "invoiceId": 0,
258 "invoiceDisplayId": "string",
259 "invoiceState": "INV_DRAFT",
260 "vendorPaymentId": 0,
261 "purchaseOrderLineItemId": 0,
262 "netAmount": 0,
263 "allowsSystemGenerateNewId": true,
264 "numberRangeIdentifierValue": "string",
265 "numberRangeIdentifierType": {
266 "name": "string"
267 },
268 "numberRangeType": {
269 "name": "string"
270 }
271 }
272 ],
273 "goodsReceiptLineItems": [
274 {
275 "id": 0,
276 "displayId": "string",
277 "quantity": 0,
278 "invoicedQuantity": 0,
279 "description": "string",
280 "expenseCategory": {
281 "id": 0,
282 "displayId": "string",
283 "status": "CREATED",
284 "name": "string",
285 "expenseCategoryType": "PAYMENT"
286 },
287 "goodsReceiptId": 0,
288 "goodsReceiptDisplayId": "string",
289 "goodsReceiptState": "INV_DRAFT",
290 "purchaseOrderLineItemId": 0,
291 "invoiceLineItemLinks": [
292 {
293 "id": 0,
294 "fromId": 0,
295 "toId": 0,
296 "linkedQuantity": 0
297 }
298 ],
299 "allowsSystemGenerateNewId": true,
300 "numberRangeIdentifierValue": "string",
301 "numberRangeIdentifierType": {
302 "name": "string"
303 },
304 "numberRangeType": {
305 "name": "string"
306 }
307 }
308 ],
309 "vendorPaymentId": 0,
310 "purchaseRequisitionLineItemId": 0,
311 "purchaseRequisitionDisplayId": "string",
312 "purchaseRequisitionLineItemAvailableQuantity": 0,
313 "allowsSystemGenerateNewId": true,
314 "numberRangeIdentifierValue": "string",
315 "numberRangeIdentifierType": {
316 "name": "string"
317 },
318 "numberRangeType": {
319 "name": "string"
320 }
321 }
322 ],
323 "purchaseRequisitionIds": [
324 0
325 ],
326 "purchaseRequisitionDisplayIds": [
327 "string"
328 ],
329 "invoices": [
330 {
331 "id": 0,
332 "displayId": "string",
333 "name": "string",
334 "invoiceType": "VENDOR_INV",
335 "state": "INV_DRAFT",
336 "externalDocumentNumber": "string",
337 "purchaseOrderReference": "string",
338 "invoiceDate": "2019-08-24",
339 "dueDate": "2019-08-24",
340 "notes": "string",
341 "billingPeriodFromDate": "2019-08-24",
342 "billingPeriodToDate": "2019-08-24",
343 "currency": {
344 "id": 0,
345 "displayId": "string",
346 "status": "CREATED",
347 "name": "string",
348 "decimalPoints": 0
349 },
350 "vendor": {
351 "id": 0,
352 "displayId": "string",
353 "status": "CREATED",
354 "name": "string",
355 "erpSystemDisplayId": "string"
356 },
357 "company": {
358 "id": 0,
359 "displayId": "string",
360 "status": "CREATED",
361 "erpSystemId": 0,
362 "erpSystemDisplayId": "string",
363 "countryId": 0,
364 "countryDisplayId": "string",
365 "name": "string",
366 "postingPeriodVariantId": 0,
367 "fiscalVariantId": 0
368 },
369 "netAmount": 0,
370 "taxAmount": 0,
371 "totalAmount": 0,
372 "netAmountBalance": 0,
373 "taxAmountBalance": 0,
374 "paymentTerm": {
375 "id": 0,
376 "displayId": "string",
377 "status": "CREATED",
378 "name": "string"
379 },
380 "paymentMethod": {
381 "id": 0,
382 "displayId": "string",
383 "status": "CREATED",
384 "name": "string",
385 "type": "string"
386 },
387 "paymentBlock": {
388 "id": 0,
389 "displayId": "string",
390 "status": "CREATED",
391 "name": "string"
392 },
393 "defaultCostCenter": {
394 "id": 0,
395 "displayId": "string",
396 "status": "CREATED",
397 "name": "string",
398 "erpSystemId": 0
399 },
400 "defaultProfitCenter": {
401 "id": 0,
402 "displayId": "string",
403 "status": "CREATED",
404 "name": "string",
405 "validTo": "2019-08-24",
406 "erpSystemId": 0,
407 "erpSystemDisplayId": "string"
408 },
409 "invoiceLineItems": [
410 {
411 "id": 0,
412 "displayId": "string",
413 "expenseCategory": {
414 "id": 0,
415 "displayId": "string",
416 "status": "CREATED",
417 "name": "string",
418 "expenseCategoryType": "PAYMENT"
419 },
420 "description": "string",
421 "unitOfMeasure": {
422 "id": 0,
423 "displayId": "string",
424 "status": "CREATED",
425 "name": "string",
426 "erpSystemId": 0
427 },
428 "quantity": 0,
429 "unitPrice": 0,
430 "taxJurisdiction": {
431 "id": 0,
432 "displayId": "string",
433 "status": "CREATED",
434 "name": "string",
435 "erpSystemId": 0,
436 "schema": "string",
437 "countryDisplayId": "string"
438 },
439 "taxCode": {
440 "id": 0,
441 "displayId": "string",
442 "status": "CREATED",
443 "name": "string",
444 "erpSystemId": 0
445 },
446 "taxExpenseAccount": {
447 "id": 0,
448 "displayId": "string",
449 "generalLedgerAccountName": "string",
450 "generalLedgerAccountCode": "string",
451 "openItemManagement": true,
452 "accountCategory": "BALANCESHEET",
453 "shortName": "string",
454 "longName": "string"
455 },
456 "taxLineItems": [
457 {
458 "id": 0,
459 "taxRate": 0.1,
460 "taxAmount": 0,
461 "taxType": "string",
462 "invoiceLineItemId": 0
463 }
464 ],
465 "workBreakdownStructure": {
466 "id": 0,
467 "displayId": "string",
468 "status": "CREATED",
469 "name": "string",
470 "erpSystemId": 0
471 },
472 "costCenter": {
473 "id": 0,
474 "displayId": "string",
475 "status": "CREATED",
476 "name": "string",
477 "erpSystemId": 0
478 },
479 "profitCenter": {
480 "id": 0,
481 "displayId": "string",
482 "status": "CREATED",
483 "name": "string",
484 "validTo": "2019-08-24",
485 "erpSystemId": 0,
486 "erpSystemDisplayId": "string"
487 },
488 "functionalArea": {
489 "id": 0,
490 "displayId": "string",
491 "status": "CREATED",
492 "name": "string",
493 "erpSystemId": 0
494 },
495 "businessArea": {
496 "id": 0,
497 "displayId": "string",
498 "status": "CREATED",
499 "name": "string",
500 "erpSystemId": 0
501 },
502 "segment": {
503 "id": 0,
504 "displayId": "string",
505 "status": "CREATED",
506 "name": "string",
507 "erpSystemId": 0
508 },
509 "network": {
510 "id": 0,
511 "displayId": "string",
512 "status": "CREATED",
513 "name": "string",
514 "erpSystemId": 0
515 },
516 "internalOrderType": {
517 "id": 0,
518 "displayId": "string",
519 "status": "CREATED",
520 "name": "string",
521 "erpSystemId": 0
522 },
523 "internalOrder": {
524 "id": 0,
525 "displayId": "string",
526 "status": "CREATED",
527 "name": "string",
528 "erpSystemId": 0,
529 "internalOrderTypeId": 0
530 },
531 "additionalCurrencies": [
532 {
533 "id": 0,
534 "amount": 0,
535 "currency": {
536 "id": 0,
537 "displayId": "string",
538 "status": "CREATED",
539 "name": "string",
540 "decimalPoints": 0
541 },
542 "conversionRate": 0,
543 "conversionDate": "2019-08-24",
544 "translationDateType": "DOCUMENT_DATE",
545 "amountType": "NET_AMOUNT",
546 "currencyDefinitionType": "CONTRACT_CURRENCY",
547 "invoiceEntryId": 0,
548 "invoiceEntryDisplayId": "string"
549 }
550 ],
551 "scheduledPaymentMatches": [
552 {
553 "id": 0,
554 "fromId": 0,
555 "toId": 0,
556 "amount": 0
557 }
558 ],
559 "goodsReceiptLineItemLinks": [
560 {
561 "id": 0,
562 "fromId": 0,
563 "toId": 0,
564 "linkedQuantity": 0
565 }
566 ],
567 "invoiceId": 0,
568 "invoiceDisplayId": "string",
569 "invoiceState": "INV_DRAFT",
570 "vendorPaymentId": 0,
571 "purchaseOrderLineItemId": 0,
572 "netAmount": 0,
573 "allowsSystemGenerateNewId": true,
574 "numberRangeIdentifierValue": "string",
575 "numberRangeIdentifierType": {
576 "name": "string"
577 },
578 "numberRangeType": {
579 "name": "string"
580 }
581 }
582 ],
583 "workspaceId": 0,
584 "workspaceDisplayId": "string",
585 "workspaceName": "string",
586 "workspaceState": "INV_DRAFT",
587 "remainingNetAmount": 0,
588 "remainingTaxAmount": 0,
589 "remainingTotalAmount": 0,
590 "pendingPaymentCount": 0,
591 "allPaymentsPosted": true,
592 "approvalInfo": {
593 "approverUsername": "string",
594 "approvedAt": "2019-08-24T14:15:22Z"
595 },
596 "rejectionReason": "string",
597 "allowsSystemGenerateNewId": true,
598 "numberRangeIdentifierValue": "string",
599 "numberRangeIdentifierType": {
600 "name": "string"
601 },
602 "numberRangeType": {
603 "name": "string"
604 }
605 }
606 ],
607 "rejectionReason": "string",
608 "allowsSystemGenerateNewId": true,
609 "numberRangeIdentifierValue": "string",
610 "numberRangeIdentifierType": {
611 "name": "string"
612 },
613 "numberRangeType": {
614 "name": "string"
615 }
616}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "state": "INV_DRAFT",
18 "issueDate": "2019-08-24",
19 "expectedDeliveryDate": "2019-08-24",
20 "name": "string",
21 "shippingAddress": "string",
22 "notes": "string",
23 "netAmount": 0,
24 "taxAmount": 0,
25 "externalPurchaseOrderDisplayId": "string",
26 "vendor": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "currency": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string",
38 "decimalPoints": 0
39 },
40 "company": {
41 "id": 0,
42 "displayId": "string",
43 "status": "CREATED",
44 "erpSystemId": 0,
45 "erpSystemDisplayId": "string",
46 "countryId": 0,
47 "countryDisplayId": "string",
48 "name": "string",
49 "postingPeriodVariantId": 0,
50 "fiscalVariantId": 0
51 },
52 "purchaseOrderLineItems": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "quantity": 0,
57 "allocatedQuantity": 0,
58 "receivedQuantity": 0,
59 "unitPrice": 0,
60 "description": "string",
61 "expenseCategory": {
62 "id": 0,
63 "displayId": "string",
64 "status": "CREATED",
65 "name": "string",
66 "expenseCategoryType": "PAYMENT"
67 },
68 "costCenter": {
69 "id": 0,
70 "displayId": "string",
71 "status": "CREATED",
72 "name": "string",
73 "erpSystemId": 0
74 },
75 "profitCenter": {
76 "id": 0,
77 "displayId": "string",
78 "status": "CREATED",
79 "name": "string",
80 "validTo": "2019-08-24",
81 "erpSystemId": 0,
82 "erpSystemDisplayId": "string"
83 },
84 "taxJurisdiction": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "erpSystemId": 0,
90 "schema": "string",
91 "countryDisplayId": "string"
92 },
93 "taxCode": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "taxLineItems": [
101 {
102 "id": 0,
103 "taxRate": 0.1,
104 "taxAmount": 0,
105 "taxType": "string",
106 "purchaseOrderLineItemId": 0
107 }
108 ],
109 "purchaseOrderId": 0,
110 "purchaseOrderDisplayId": "string",
111 "purchaseOrderState": "INV_DRAFT",
112 "invoiceLineItems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "expenseCategory": {
117 "id": 0,
118 "displayId": "string",
119 "status": "CREATED",
120 "name": "string",
121 "expenseCategoryType": "PAYMENT"
122 },
123 "description": "string",
124 "unitOfMeasure": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "quantity": 0,
132 "unitPrice": 0,
133 "taxJurisdiction": {
134 "id": 0,
135 "displayId": "string",
136 "status": "CREATED",
137 "name": "string",
138 "erpSystemId": 0,
139 "schema": "string",
140 "countryDisplayId": "string"
141 },
142 "taxCode": {
143 "id": 0,
144 "displayId": "string",
145 "status": "CREATED",
146 "name": "string",
147 "erpSystemId": 0
148 },
149 "taxExpenseAccount": {
150 "id": 0,
151 "displayId": "string",
152 "generalLedgerAccountName": "string",
153 "generalLedgerAccountCode": "string",
154 "openItemManagement": true,
155 "accountCategory": "BALANCESHEET",
156 "shortName": "string",
157 "longName": "string"
158 },
159 "taxLineItems": [
160 {
161 "id": 0,
162 "taxRate": 0.1,
163 "taxAmount": 0,
164 "taxType": "string",
165 "invoiceLineItemId": 0
166 }
167 ],
168 "workBreakdownStructure": {
169 "id": 0,
170 "displayId": "string",
171 "status": "CREATED",
172 "name": "string",
173 "erpSystemId": 0
174 },
175 "costCenter": {
176 "id": 0,
177 "displayId": "string",
178 "status": "CREATED",
179 "name": "string",
180 "erpSystemId": 0
181 },
182 "profitCenter": {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string",
187 "validTo": "2019-08-24",
188 "erpSystemId": 0,
189 "erpSystemDisplayId": "string"
190 },
191 "functionalArea": {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "erpSystemId": 0
197 },
198 "businessArea": {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "erpSystemId": 0
204 },
205 "segment": {
206 "id": 0,
207 "displayId": "string",
208 "status": "CREATED",
209 "name": "string",
210 "erpSystemId": 0
211 },
212 "network": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "internalOrderType": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "internalOrder": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0,
232 "internalOrderTypeId": 0
233 },
234 "additionalCurrencies": [
235 {
236 "id": 0,
237 "amount": 0,
238 "currency": {
239 "id": 0,
240 "displayId": "string",
241 "status": "CREATED",
242 "name": "string",
243 "decimalPoints": 0
244 },
245 "conversionRate": 0,
246 "conversionDate": "2019-08-24",
247 "translationDateType": "DOCUMENT_DATE",
248 "amountType": "NET_AMOUNT",
249 "currencyDefinitionType": "CONTRACT_CURRENCY",
250 "invoiceEntryId": 0,
251 "invoiceEntryDisplayId": "string"
252 }
253 ],
254 "scheduledPaymentMatches": [
255 {
256 "id": 0,
257 "fromId": 0,
258 "toId": 0,
259 "amount": 0
260 }
261 ],
262 "goodsReceiptLineItemLinks": [
263 {
264 "id": 0,
265 "fromId": 0,
266 "toId": 0,
267 "linkedQuantity": 0
268 }
269 ],
270 "invoiceId": 0,
271 "invoiceDisplayId": "string",
272 "invoiceState": "INV_DRAFT",
273 "vendorPaymentId": 0,
274 "purchaseOrderLineItemId": 0,
275 "netAmount": 0,
276 "allowsSystemGenerateNewId": true,
277 "numberRangeIdentifierValue": "string",
278 "numberRangeIdentifierType": {
279 "name": "string"
280 },
281 "numberRangeType": {
282 "name": "string"
283 }
284 }
285 ],
286 "goodsReceiptLineItems": [
287 {
288 "id": 0,
289 "displayId": "string",
290 "quantity": 0,
291 "invoicedQuantity": 0,
292 "description": "string",
293 "expenseCategory": {
294 "id": 0,
295 "displayId": "string",
296 "status": "CREATED",
297 "name": "string",
298 "expenseCategoryType": "PAYMENT"
299 },
300 "goodsReceiptId": 0,
301 "goodsReceiptDisplayId": "string",
302 "goodsReceiptState": "INV_DRAFT",
303 "purchaseOrderLineItemId": 0,
304 "invoiceLineItemLinks": [
305 {
306 "id": 0,
307 "fromId": 0,
308 "toId": 0,
309 "linkedQuantity": 0
310 }
311 ],
312 "availableQuantity": 0,
313 "allowsSystemGenerateNewId": true,
314 "numberRangeIdentifierValue": "string",
315 "numberRangeIdentifierType": {
316 "name": "string"
317 },
318 "numberRangeType": {
319 "name": "string"
320 }
321 }
322 ],
323 "vendorPaymentId": 0,
324 "purchaseRequisitionLineItemId": 0,
325 "purchaseRequisitionDisplayId": "string",
326 "purchaseRequisitionLineItemAvailableQuantity": 0,
327 "remainingQuantity": 0,
328 "availableQuantity": 0,
329 "allowsSystemGenerateNewId": true,
330 "numberRangeIdentifierValue": "string",
331 "numberRangeIdentifierType": {
332 "name": "string"
333 },
334 "numberRangeType": {
335 "name": "string"
336 }
337 }
338 ],
339 "purchaseRequisitionIds": [
340 0
341 ],
342 "purchaseRequisitionDisplayIds": [
343 "string"
344 ],
345 "invoices": [
346 {
347 "id": 0,
348 "displayId": "string",
349 "name": "string",
350 "invoiceType": "VENDOR_INV",
351 "state": "INV_DRAFT",
352 "externalDocumentNumber": "string",
353 "purchaseOrderReference": "string",
354 "invoiceDate": "2019-08-24",
355 "dueDate": "2019-08-24",
356 "notes": "string",
357 "billingPeriodFromDate": "2019-08-24",
358 "billingPeriodToDate": "2019-08-24",
359 "currency": {
360 "id": 0,
361 "displayId": "string",
362 "status": "CREATED",
363 "name": "string",
364 "decimalPoints": 0
365 },
366 "vendor": {
367 "id": 0,
368 "displayId": "string",
369 "status": "CREATED",
370 "name": "string",
371 "erpSystemDisplayId": "string"
372 },
373 "company": {
374 "id": 0,
375 "displayId": "string",
376 "status": "CREATED",
377 "erpSystemId": 0,
378 "erpSystemDisplayId": "string",
379 "countryId": 0,
380 "countryDisplayId": "string",
381 "name": "string",
382 "postingPeriodVariantId": 0,
383 "fiscalVariantId": 0
384 },
385 "netAmount": 0,
386 "taxAmount": 0,
387 "totalAmount": 0,
388 "netAmountBalance": 0,
389 "taxAmountBalance": 0,
390 "paymentTerm": {
391 "id": 0,
392 "displayId": "string",
393 "status": "CREATED",
394 "name": "string"
395 },
396 "paymentMethod": {
397 "id": 0,
398 "displayId": "string",
399 "status": "CREATED",
400 "name": "string",
401 "type": "string"
402 },
403 "paymentBlock": {
404 "id": 0,
405 "displayId": "string",
406 "status": "CREATED",
407 "name": "string"
408 },
409 "defaultCostCenter": {
410 "id": 0,
411 "displayId": "string",
412 "status": "CREATED",
413 "name": "string",
414 "erpSystemId": 0
415 },
416 "defaultProfitCenter": {
417 "id": 0,
418 "displayId": "string",
419 "status": "CREATED",
420 "name": "string",
421 "validTo": "2019-08-24",
422 "erpSystemId": 0,
423 "erpSystemDisplayId": "string"
424 },
425 "invoiceLineItems": [
426 {
427 "id": 0,
428 "displayId": "string",
429 "expenseCategory": {
430 "id": 0,
431 "displayId": "string",
432 "status": "CREATED",
433 "name": "string",
434 "expenseCategoryType": "PAYMENT"
435 },
436 "description": "string",
437 "unitOfMeasure": {
438 "id": 0,
439 "displayId": "string",
440 "status": "CREATED",
441 "name": "string",
442 "erpSystemId": 0
443 },
444 "quantity": 0,
445 "unitPrice": 0,
446 "taxJurisdiction": {
447 "id": 0,
448 "displayId": "string",
449 "status": "CREATED",
450 "name": "string",
451 "erpSystemId": 0,
452 "schema": "string",
453 "countryDisplayId": "string"
454 },
455 "taxCode": {
456 "id": 0,
457 "displayId": "string",
458 "status": "CREATED",
459 "name": "string",
460 "erpSystemId": 0
461 },
462 "taxExpenseAccount": {
463 "id": 0,
464 "displayId": "string",
465 "generalLedgerAccountName": "string",
466 "generalLedgerAccountCode": "string",
467 "openItemManagement": true,
468 "accountCategory": "BALANCESHEET",
469 "shortName": "string",
470 "longName": "string"
471 },
472 "taxLineItems": [
473 {
474 "id": 0,
475 "taxRate": 0.1,
476 "taxAmount": 0,
477 "taxType": "string",
478 "invoiceLineItemId": 0
479 }
480 ],
481 "workBreakdownStructure": {
482 "id": 0,
483 "displayId": "string",
484 "status": "CREATED",
485 "name": "string",
486 "erpSystemId": 0
487 },
488 "costCenter": {
489 "id": 0,
490 "displayId": "string",
491 "status": "CREATED",
492 "name": "string",
493 "erpSystemId": 0
494 },
495 "profitCenter": {
496 "id": 0,
497 "displayId": "string",
498 "status": "CREATED",
499 "name": "string",
500 "validTo": "2019-08-24",
501 "erpSystemId": 0,
502 "erpSystemDisplayId": "string"
503 },
504 "functionalArea": {
505 "id": 0,
506 "displayId": "string",
507 "status": "CREATED",
508 "name": "string",
509 "erpSystemId": 0
510 },
511 "businessArea": {
512 "id": 0,
513 "displayId": "string",
514 "status": "CREATED",
515 "name": "string",
516 "erpSystemId": 0
517 },
518 "segment": {
519 "id": 0,
520 "displayId": "string",
521 "status": "CREATED",
522 "name": "string",
523 "erpSystemId": 0
524 },
525 "network": {
526 "id": 0,
527 "displayId": "string",
528 "status": "CREATED",
529 "name": "string",
530 "erpSystemId": 0
531 },
532 "internalOrderType": {
533 "id": 0,
534 "displayId": "string",
535 "status": "CREATED",
536 "name": "string",
537 "erpSystemId": 0
538 },
539 "internalOrder": {
540 "id": 0,
541 "displayId": "string",
542 "status": "CREATED",
543 "name": "string",
544 "erpSystemId": 0,
545 "internalOrderTypeId": 0
546 },
547 "additionalCurrencies": [
548 {
549 "id": 0,
550 "amount": 0,
551 "currency": {
552 "id": 0,
553 "displayId": "string",
554 "status": "CREATED",
555 "name": "string",
556 "decimalPoints": 0
557 },
558 "conversionRate": 0,
559 "conversionDate": "2019-08-24",
560 "translationDateType": "DOCUMENT_DATE",
561 "amountType": "NET_AMOUNT",
562 "currencyDefinitionType": "CONTRACT_CURRENCY",
563 "invoiceEntryId": 0,
564 "invoiceEntryDisplayId": "string"
565 }
566 ],
567 "scheduledPaymentMatches": [
568 {
569 "id": 0,
570 "fromId": 0,
571 "toId": 0,
572 "amount": 0
573 }
574 ],
575 "goodsReceiptLineItemLinks": [
576 {
577 "id": 0,
578 "fromId": 0,
579 "toId": 0,
580 "linkedQuantity": 0
581 }
582 ],
583 "invoiceId": 0,
584 "invoiceDisplayId": "string",
585 "invoiceState": "INV_DRAFT",
586 "vendorPaymentId": 0,
587 "purchaseOrderLineItemId": 0,
588 "netAmount": 0,
589 "allowsSystemGenerateNewId": true,
590 "numberRangeIdentifierValue": "string",
591 "numberRangeIdentifierType": {
592 "name": "string"
593 },
594 "numberRangeType": {
595 "name": "string"
596 }
597 }
598 ],
599 "workspaceId": 0,
600 "workspaceDisplayId": "string",
601 "workspaceName": "string",
602 "workspaceState": "INV_DRAFT",
603 "remainingNetAmount": 0,
604 "remainingTaxAmount": 0,
605 "remainingTotalAmount": 0,
606 "pendingPaymentCount": 0,
607 "allPaymentsPosted": true,
608 "approvalInfo": {
609 "approverUsername": "string",
610 "approvedAt": "2019-08-24T14:15:22Z"
611 },
612 "rejectionReason": "string",
613 "allowsSystemGenerateNewId": true,
614 "numberRangeIdentifierValue": "string",
615 "numberRangeIdentifierType": {
616 "name": "string"
617 },
618 "numberRangeType": {
619 "name": "string"
620 }
621 }
622 ],
623 "rejectionReason": "string",
624 "allowsSystemGenerateNewId": true,
625 "numberRangeIdentifierValue": "string",
626 "numberRangeIdentifierType": {
627 "name": "string"
628 },
629 "numberRangeType": {
630 "name": "string"
631 }
632 }
633}
Delete A Single Resource¶
HTTP Request
DELETE /api/v1/purchase-order/{id}
📋 Description: Permanently deletes the resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Partially Update A Resource (Json Patch)¶
HTTP Request
PATCH /api/v1/purchase-order/{id}
📋 Description: Applies a JSON Patch (RFC 6902) document to the resource with the given ID. Only the fields specified in the patch are modified; all other fields remain unchanged.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated purchase order details, including item modifications, quantities, and pricing adjustments. |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "state": "INV_DRAFT",
18 "issueDate": "2019-08-24",
19 "expectedDeliveryDate": "2019-08-24",
20 "name": "string",
21 "shippingAddress": "string",
22 "notes": "string",
23 "netAmount": 0,
24 "taxAmount": 0,
25 "externalPurchaseOrderDisplayId": "string",
26 "vendor": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "currency": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string",
38 "decimalPoints": 0
39 },
40 "company": {
41 "id": 0,
42 "displayId": "string",
43 "status": "CREATED",
44 "erpSystemId": 0,
45 "erpSystemDisplayId": "string",
46 "countryId": 0,
47 "countryDisplayId": "string",
48 "name": "string",
49 "postingPeriodVariantId": 0,
50 "fiscalVariantId": 0
51 },
52 "purchaseOrderLineItems": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "quantity": 0,
57 "allocatedQuantity": 0,
58 "receivedQuantity": 0,
59 "unitPrice": 0,
60 "description": "string",
61 "expenseCategory": {
62 "id": 0,
63 "displayId": "string",
64 "status": "CREATED",
65 "name": "string",
66 "expenseCategoryType": "PAYMENT"
67 },
68 "costCenter": {
69 "id": 0,
70 "displayId": "string",
71 "status": "CREATED",
72 "name": "string",
73 "erpSystemId": 0
74 },
75 "profitCenter": {
76 "id": 0,
77 "displayId": "string",
78 "status": "CREATED",
79 "name": "string",
80 "validTo": "2019-08-24",
81 "erpSystemId": 0,
82 "erpSystemDisplayId": "string"
83 },
84 "taxJurisdiction": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "erpSystemId": 0,
90 "schema": "string",
91 "countryDisplayId": "string"
92 },
93 "taxCode": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "taxLineItems": [
101 {
102 "id": 0,
103 "taxRate": 0.1,
104 "taxAmount": 0,
105 "taxType": "string",
106 "purchaseOrderLineItemId": 0
107 }
108 ],
109 "purchaseOrderId": 0,
110 "purchaseOrderDisplayId": "string",
111 "purchaseOrderState": "INV_DRAFT",
112 "invoiceLineItems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "expenseCategory": {
117 "id": 0,
118 "displayId": "string",
119 "status": "CREATED",
120 "name": "string",
121 "expenseCategoryType": "PAYMENT"
122 },
123 "description": "string",
124 "unitOfMeasure": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "quantity": 0,
132 "unitPrice": 0,
133 "taxJurisdiction": {
134 "id": 0,
135 "displayId": "string",
136 "status": "CREATED",
137 "name": "string",
138 "erpSystemId": 0,
139 "schema": "string",
140 "countryDisplayId": "string"
141 },
142 "taxCode": {
143 "id": 0,
144 "displayId": "string",
145 "status": "CREATED",
146 "name": "string",
147 "erpSystemId": 0
148 },
149 "taxExpenseAccount": {
150 "id": 0,
151 "displayId": "string",
152 "generalLedgerAccountName": "string",
153 "generalLedgerAccountCode": "string",
154 "openItemManagement": true,
155 "accountCategory": "BALANCESHEET",
156 "shortName": "string",
157 "longName": "string"
158 },
159 "taxLineItems": [
160 {
161 "id": 0,
162 "taxRate": 0.1,
163 "taxAmount": 0,
164 "taxType": "string",
165 "invoiceLineItemId": 0
166 }
167 ],
168 "workBreakdownStructure": {
169 "id": 0,
170 "displayId": "string",
171 "status": "CREATED",
172 "name": "string",
173 "erpSystemId": 0
174 },
175 "costCenter": {
176 "id": 0,
177 "displayId": "string",
178 "status": "CREATED",
179 "name": "string",
180 "erpSystemId": 0
181 },
182 "profitCenter": {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string",
187 "validTo": "2019-08-24",
188 "erpSystemId": 0,
189 "erpSystemDisplayId": "string"
190 },
191 "functionalArea": {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "erpSystemId": 0
197 },
198 "businessArea": {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "erpSystemId": 0
204 },
205 "segment": {
206 "id": 0,
207 "displayId": "string",
208 "status": "CREATED",
209 "name": "string",
210 "erpSystemId": 0
211 },
212 "network": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0
218 },
219 "internalOrderType": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "erpSystemId": 0
225 },
226 "internalOrder": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "erpSystemId": 0,
232 "internalOrderTypeId": 0
233 },
234 "additionalCurrencies": [
235 {
236 "id": 0,
237 "amount": 0,
238 "currency": {
239 "id": 0,
240 "displayId": "string",
241 "status": "CREATED",
242 "name": "string",
243 "decimalPoints": 0
244 },
245 "conversionRate": 0,
246 "conversionDate": "2019-08-24",
247 "translationDateType": "DOCUMENT_DATE",
248 "amountType": "NET_AMOUNT",
249 "currencyDefinitionType": "CONTRACT_CURRENCY",
250 "invoiceEntryId": 0,
251 "invoiceEntryDisplayId": "string"
252 }
253 ],
254 "scheduledPaymentMatches": [
255 {
256 "id": 0,
257 "fromId": 0,
258 "toId": 0,
259 "amount": 0
260 }
261 ],
262 "goodsReceiptLineItemLinks": [
263 {
264 "id": 0,
265 "fromId": 0,
266 "toId": 0,
267 "linkedQuantity": 0
268 }
269 ],
270 "invoiceId": 0,
271 "invoiceDisplayId": "string",
272 "invoiceState": "INV_DRAFT",
273 "vendorPaymentId": 0,
274 "purchaseOrderLineItemId": 0,
275 "netAmount": 0,
276 "allowsSystemGenerateNewId": true,
277 "numberRangeIdentifierValue": "string",
278 "numberRangeIdentifierType": {
279 "name": "string"
280 },
281 "numberRangeType": {
282 "name": "string"
283 }
284 }
285 ],
286 "goodsReceiptLineItems": [
287 {
288 "id": 0,
289 "displayId": "string",
290 "quantity": 0,
291 "invoicedQuantity": 0,
292 "description": "string",
293 "expenseCategory": {
294 "id": 0,
295 "displayId": "string",
296 "status": "CREATED",
297 "name": "string",
298 "expenseCategoryType": "PAYMENT"
299 },
300 "goodsReceiptId": 0,
301 "goodsReceiptDisplayId": "string",
302 "goodsReceiptState": "INV_DRAFT",
303 "purchaseOrderLineItemId": 0,
304 "invoiceLineItemLinks": [
305 {
306 "id": 0,
307 "fromId": 0,
308 "toId": 0,
309 "linkedQuantity": 0
310 }
311 ],
312 "availableQuantity": 0,
313 "allowsSystemGenerateNewId": true,
314 "numberRangeIdentifierValue": "string",
315 "numberRangeIdentifierType": {
316 "name": "string"
317 },
318 "numberRangeType": {
319 "name": "string"
320 }
321 }
322 ],
323 "vendorPaymentId": 0,
324 "purchaseRequisitionLineItemId": 0,
325 "purchaseRequisitionDisplayId": "string",
326 "purchaseRequisitionLineItemAvailableQuantity": 0,
327 "remainingQuantity": 0,
328 "availableQuantity": 0,
329 "allowsSystemGenerateNewId": true,
330 "numberRangeIdentifierValue": "string",
331 "numberRangeIdentifierType": {
332 "name": "string"
333 },
334 "numberRangeType": {
335 "name": "string"
336 }
337 }
338 ],
339 "purchaseRequisitionIds": [
340 0
341 ],
342 "purchaseRequisitionDisplayIds": [
343 "string"
344 ],
345 "invoices": [
346 {
347 "id": 0,
348 "displayId": "string",
349 "name": "string",
350 "invoiceType": "VENDOR_INV",
351 "state": "INV_DRAFT",
352 "externalDocumentNumber": "string",
353 "purchaseOrderReference": "string",
354 "invoiceDate": "2019-08-24",
355 "dueDate": "2019-08-24",
356 "notes": "string",
357 "billingPeriodFromDate": "2019-08-24",
358 "billingPeriodToDate": "2019-08-24",
359 "currency": {
360 "id": 0,
361 "displayId": "string",
362 "status": "CREATED",
363 "name": "string",
364 "decimalPoints": 0
365 },
366 "vendor": {
367 "id": 0,
368 "displayId": "string",
369 "status": "CREATED",
370 "name": "string",
371 "erpSystemDisplayId": "string"
372 },
373 "company": {
374 "id": 0,
375 "displayId": "string",
376 "status": "CREATED",
377 "erpSystemId": 0,
378 "erpSystemDisplayId": "string",
379 "countryId": 0,
380 "countryDisplayId": "string",
381 "name": "string",
382 "postingPeriodVariantId": 0,
383 "fiscalVariantId": 0
384 },
385 "netAmount": 0,
386 "taxAmount": 0,
387 "totalAmount": 0,
388 "netAmountBalance": 0,
389 "taxAmountBalance": 0,
390 "paymentTerm": {
391 "id": 0,
392 "displayId": "string",
393 "status": "CREATED",
394 "name": "string"
395 },
396 "paymentMethod": {
397 "id": 0,
398 "displayId": "string",
399 "status": "CREATED",
400 "name": "string",
401 "type": "string"
402 },
403 "paymentBlock": {
404 "id": 0,
405 "displayId": "string",
406 "status": "CREATED",
407 "name": "string"
408 },
409 "defaultCostCenter": {
410 "id": 0,
411 "displayId": "string",
412 "status": "CREATED",
413 "name": "string",
414 "erpSystemId": 0
415 },
416 "defaultProfitCenter": {
417 "id": 0,
418 "displayId": "string",
419 "status": "CREATED",
420 "name": "string",
421 "validTo": "2019-08-24",
422 "erpSystemId": 0,
423 "erpSystemDisplayId": "string"
424 },
425 "invoiceLineItems": [
426 {
427 "id": 0,
428 "displayId": "string",
429 "expenseCategory": {
430 "id": 0,
431 "displayId": "string",
432 "status": "CREATED",
433 "name": "string",
434 "expenseCategoryType": "PAYMENT"
435 },
436 "description": "string",
437 "unitOfMeasure": {
438 "id": 0,
439 "displayId": "string",
440 "status": "CREATED",
441 "name": "string",
442 "erpSystemId": 0
443 },
444 "quantity": 0,
445 "unitPrice": 0,
446 "taxJurisdiction": {
447 "id": 0,
448 "displayId": "string",
449 "status": "CREATED",
450 "name": "string",
451 "erpSystemId": 0,
452 "schema": "string",
453 "countryDisplayId": "string"
454 },
455 "taxCode": {
456 "id": 0,
457 "displayId": "string",
458 "status": "CREATED",
459 "name": "string",
460 "erpSystemId": 0
461 },
462 "taxExpenseAccount": {
463 "id": 0,
464 "displayId": "string",
465 "generalLedgerAccountName": "string",
466 "generalLedgerAccountCode": "string",
467 "openItemManagement": true,
468 "accountCategory": "BALANCESHEET",
469 "shortName": "string",
470 "longName": "string"
471 },
472 "taxLineItems": [
473 {
474 "id": 0,
475 "taxRate": 0.1,
476 "taxAmount": 0,
477 "taxType": "string",
478 "invoiceLineItemId": 0
479 }
480 ],
481 "workBreakdownStructure": {
482 "id": 0,
483 "displayId": "string",
484 "status": "CREATED",
485 "name": "string",
486 "erpSystemId": 0
487 },
488 "costCenter": {
489 "id": 0,
490 "displayId": "string",
491 "status": "CREATED",
492 "name": "string",
493 "erpSystemId": 0
494 },
495 "profitCenter": {
496 "id": 0,
497 "displayId": "string",
498 "status": "CREATED",
499 "name": "string",
500 "validTo": "2019-08-24",
501 "erpSystemId": 0,
502 "erpSystemDisplayId": "string"
503 },
504 "functionalArea": {
505 "id": 0,
506 "displayId": "string",
507 "status": "CREATED",
508 "name": "string",
509 "erpSystemId": 0
510 },
511 "businessArea": {
512 "id": 0,
513 "displayId": "string",
514 "status": "CREATED",
515 "name": "string",
516 "erpSystemId": 0
517 },
518 "segment": {
519 "id": 0,
520 "displayId": "string",
521 "status": "CREATED",
522 "name": "string",
523 "erpSystemId": 0
524 },
525 "network": {
526 "id": 0,
527 "displayId": "string",
528 "status": "CREATED",
529 "name": "string",
530 "erpSystemId": 0
531 },
532 "internalOrderType": {
533 "id": 0,
534 "displayId": "string",
535 "status": "CREATED",
536 "name": "string",
537 "erpSystemId": 0
538 },
539 "internalOrder": {
540 "id": 0,
541 "displayId": "string",
542 "status": "CREATED",
543 "name": "string",
544 "erpSystemId": 0,
545 "internalOrderTypeId": 0
546 },
547 "additionalCurrencies": [
548 {
549 "id": 0,
550 "amount": 0,
551 "currency": {
552 "id": 0,
553 "displayId": "string",
554 "status": "CREATED",
555 "name": "string",
556 "decimalPoints": 0
557 },
558 "conversionRate": 0,
559 "conversionDate": "2019-08-24",
560 "translationDateType": "DOCUMENT_DATE",
561 "amountType": "NET_AMOUNT",
562 "currencyDefinitionType": "CONTRACT_CURRENCY",
563 "invoiceEntryId": 0,
564 "invoiceEntryDisplayId": "string"
565 }
566 ],
567 "scheduledPaymentMatches": [
568 {
569 "id": 0,
570 "fromId": 0,
571 "toId": 0,
572 "amount": 0
573 }
574 ],
575 "goodsReceiptLineItemLinks": [
576 {
577 "id": 0,
578 "fromId": 0,
579 "toId": 0,
580 "linkedQuantity": 0
581 }
582 ],
583 "invoiceId": 0,
584 "invoiceDisplayId": "string",
585 "invoiceState": "INV_DRAFT",
586 "vendorPaymentId": 0,
587 "purchaseOrderLineItemId": 0,
588 "netAmount": 0,
589 "allowsSystemGenerateNewId": true,
590 "numberRangeIdentifierValue": "string",
591 "numberRangeIdentifierType": {
592 "name": "string"
593 },
594 "numberRangeType": {
595 "name": "string"
596 }
597 }
598 ],
599 "workspaceId": 0,
600 "workspaceDisplayId": "string",
601 "workspaceName": "string",
602 "workspaceState": "INV_DRAFT",
603 "remainingNetAmount": 0,
604 "remainingTaxAmount": 0,
605 "remainingTotalAmount": 0,
606 "pendingPaymentCount": 0,
607 "allPaymentsPosted": true,
608 "approvalInfo": {
609 "approverUsername": "string",
610 "approvedAt": "2019-08-24T14:15:22Z"
611 },
612 "rejectionReason": "string",
613 "allowsSystemGenerateNewId": true,
614 "numberRangeIdentifierValue": "string",
615 "numberRangeIdentifierType": {
616 "name": "string"
617 },
618 "numberRangeType": {
619 "name": "string"
620 }
621 }
622 ],
623 "rejectionReason": "string",
624 "allowsSystemGenerateNewId": true,
625 "numberRangeIdentifierValue": "string",
626 "numberRangeIdentifierType": {
627 "name": "string"
628 },
629 "numberRangeType": {
630 "name": "string"
631 }
632 }
633}
Bulk Create-Or-Update Resources¶
HTTP Request
PUT /api/v1/purchase-order/createOrUpdate/bulk
📋 Description: Creates or updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully processed items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of purchase order details for bulk creation or updates, including item specifications, quantities, and associated metadata. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "state": "INV_DRAFT",
6 "issueDate": "2019-08-24",
7 "expectedDeliveryDate": "2019-08-24",
8 "name": "string",
9 "shippingAddress": "string",
10 "notes": "string",
11 "netAmount": 0,
12 "taxAmount": 0,
13 "externalPurchaseOrderDisplayId": "string",
14 "vendor": {
15 "id": 0,
16 "displayId": "string",
17 "status": "CREATED",
18 "name": "string",
19 "erpSystemDisplayId": "string"
20 },
21 "currency": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "name": "string",
26 "decimalPoints": 0
27 },
28 "company": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "erpSystemId": 0,
33 "erpSystemDisplayId": "string",
34 "countryId": 0,
35 "countryDisplayId": "string",
36 "name": "string",
37 "postingPeriodVariantId": 0,
38 "fiscalVariantId": 0
39 },
40 "purchaseOrderLineItems": [
41 {
42 "id": 0,
43 "displayId": "string",
44 "quantity": 0,
45 "allocatedQuantity": 0,
46 "receivedQuantity": 0,
47 "unitPrice": 0,
48 "description": "string",
49 "expenseCategory": {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "expenseCategoryType": "PAYMENT"
55 },
56 "costCenter": {
57 "id": 0,
58 "displayId": "string",
59 "status": "CREATED",
60 "name": "string",
61 "erpSystemId": 0
62 },
63 "profitCenter": {
64 "id": 0,
65 "displayId": "string",
66 "status": "CREATED",
67 "name": "string",
68 "validTo": "2019-08-24",
69 "erpSystemId": 0,
70 "erpSystemDisplayId": "string"
71 },
72 "taxJurisdiction": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string",
77 "erpSystemId": 0,
78 "schema": "string",
79 "countryDisplayId": "string"
80 },
81 "taxCode": {
82 "id": 0,
83 "displayId": "string",
84 "status": "CREATED",
85 "name": "string",
86 "erpSystemId": 0
87 },
88 "taxLineItems": [
89 {
90 "id": 0,
91 "taxRate": 0.1,
92 "taxAmount": 0,
93 "taxType": "string",
94 "purchaseOrderLineItemId": 0
95 }
96 ],
97 "purchaseOrderId": 0,
98 "purchaseOrderDisplayId": "string",
99 "purchaseOrderState": "INV_DRAFT",
100 "invoiceLineItems": [
101 {
102 "id": 0,
103 "displayId": "string",
104 "expenseCategory": {
105 "id": 0,
106 "displayId": "string",
107 "status": "CREATED",
108 "name": "string",
109 "expenseCategoryType": "PAYMENT"
110 },
111 "description": "string",
112 "unitOfMeasure": {
113 "id": 0,
114 "displayId": "string",
115 "status": "CREATED",
116 "name": "string",
117 "erpSystemId": 0
118 },
119 "quantity": 0,
120 "unitPrice": 0,
121 "taxJurisdiction": {
122 "id": 0,
123 "displayId": "string",
124 "status": "CREATED",
125 "name": "string",
126 "erpSystemId": 0,
127 "schema": "string",
128 "countryDisplayId": "string"
129 },
130 "taxCode": {
131 "id": 0,
132 "displayId": "string",
133 "status": "CREATED",
134 "name": "string",
135 "erpSystemId": 0
136 },
137 "taxExpenseAccount": {
138 "id": 0,
139 "displayId": "string",
140 "generalLedgerAccountName": "string",
141 "generalLedgerAccountCode": "string",
142 "openItemManagement": true,
143 "accountCategory": "BALANCESHEET",
144 "shortName": "string",
145 "longName": "string"
146 },
147 "taxLineItems": [
148 {
149 "id": 0,
150 "taxRate": 0.1,
151 "taxAmount": 0,
152 "taxType": "string",
153 "invoiceLineItemId": 0
154 }
155 ],
156 "workBreakdownStructure": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "erpSystemId": 0
162 },
163 "costCenter": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "erpSystemId": 0
169 },
170 "profitCenter": {
171 "id": 0,
172 "displayId": "string",
173 "status": "CREATED",
174 "name": "string",
175 "validTo": "2019-08-24",
176 "erpSystemId": 0,
177 "erpSystemDisplayId": "string"
178 },
179 "functionalArea": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "businessArea": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "segment": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "network": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "internalOrderType": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0
213 },
214 "internalOrder": {
215 "id": 0,
216 "displayId": "string",
217 "status": "CREATED",
218 "name": "string",
219 "erpSystemId": 0,
220 "internalOrderTypeId": 0
221 },
222 "additionalCurrencies": [
223 {
224 "id": 0,
225 "amount": 0,
226 "currency": {
227 "id": 0,
228 "displayId": "string",
229 "status": "CREATED",
230 "name": "string",
231 "decimalPoints": 0
232 },
233 "conversionRate": 0,
234 "conversionDate": "2019-08-24",
235 "translationDateType": "DOCUMENT_DATE",
236 "amountType": "NET_AMOUNT",
237 "currencyDefinitionType": "CONTRACT_CURRENCY",
238 "invoiceEntryId": 0,
239 "invoiceEntryDisplayId": "string"
240 }
241 ],
242 "scheduledPaymentMatches": [
243 {
244 "id": 0,
245 "fromId": 0,
246 "toId": 0,
247 "amount": 0
248 }
249 ],
250 "goodsReceiptLineItemLinks": [
251 {
252 "id": 0,
253 "fromId": 0,
254 "toId": 0,
255 "linkedQuantity": 0
256 }
257 ],
258 "invoiceId": 0,
259 "invoiceDisplayId": "string",
260 "invoiceState": "INV_DRAFT",
261 "vendorPaymentId": 0,
262 "purchaseOrderLineItemId": 0,
263 "netAmount": 0,
264 "allowsSystemGenerateNewId": true,
265 "numberRangeIdentifierValue": "string",
266 "numberRangeIdentifierType": {
267 "name": "string"
268 },
269 "numberRangeType": {
270 "name": "string"
271 }
272 }
273 ],
274 "goodsReceiptLineItems": [
275 {
276 "id": 0,
277 "displayId": "string",
278 "quantity": 0,
279 "invoicedQuantity": 0,
280 "description": "string",
281 "expenseCategory": {
282 "id": 0,
283 "displayId": "string",
284 "status": "CREATED",
285 "name": "string",
286 "expenseCategoryType": "PAYMENT"
287 },
288 "goodsReceiptId": 0,
289 "goodsReceiptDisplayId": "string",
290 "goodsReceiptState": "INV_DRAFT",
291 "purchaseOrderLineItemId": 0,
292 "invoiceLineItemLinks": [
293 {
294 "id": 0,
295 "fromId": 0,
296 "toId": 0,
297 "linkedQuantity": 0
298 }
299 ],
300 "allowsSystemGenerateNewId": true,
301 "numberRangeIdentifierValue": "string",
302 "numberRangeIdentifierType": {
303 "name": "string"
304 },
305 "numberRangeType": {
306 "name": "string"
307 }
308 }
309 ],
310 "vendorPaymentId": 0,
311 "purchaseRequisitionLineItemId": 0,
312 "purchaseRequisitionDisplayId": "string",
313 "purchaseRequisitionLineItemAvailableQuantity": 0,
314 "allowsSystemGenerateNewId": true,
315 "numberRangeIdentifierValue": "string",
316 "numberRangeIdentifierType": {
317 "name": "string"
318 },
319 "numberRangeType": {
320 "name": "string"
321 }
322 }
323 ],
324 "purchaseRequisitionIds": [
325 0
326 ],
327 "purchaseRequisitionDisplayIds": [
328 "string"
329 ],
330 "invoices": [
331 {
332 "id": 0,
333 "displayId": "string",
334 "name": "string",
335 "invoiceType": "VENDOR_INV",
336 "state": "INV_DRAFT",
337 "externalDocumentNumber": "string",
338 "purchaseOrderReference": "string",
339 "invoiceDate": "2019-08-24",
340 "dueDate": "2019-08-24",
341 "notes": "string",
342 "billingPeriodFromDate": "2019-08-24",
343 "billingPeriodToDate": "2019-08-24",
344 "currency": {
345 "id": 0,
346 "displayId": "string",
347 "status": "CREATED",
348 "name": "string",
349 "decimalPoints": 0
350 },
351 "vendor": {
352 "id": 0,
353 "displayId": "string",
354 "status": "CREATED",
355 "name": "string",
356 "erpSystemDisplayId": "string"
357 },
358 "company": {
359 "id": 0,
360 "displayId": "string",
361 "status": "CREATED",
362 "erpSystemId": 0,
363 "erpSystemDisplayId": "string",
364 "countryId": 0,
365 "countryDisplayId": "string",
366 "name": "string",
367 "postingPeriodVariantId": 0,
368 "fiscalVariantId": 0
369 },
370 "netAmount": 0,
371 "taxAmount": 0,
372 "totalAmount": 0,
373 "netAmountBalance": 0,
374 "taxAmountBalance": 0,
375 "paymentTerm": {
376 "id": 0,
377 "displayId": "string",
378 "status": "CREATED",
379 "name": "string"
380 },
381 "paymentMethod": {
382 "id": 0,
383 "displayId": "string",
384 "status": "CREATED",
385 "name": "string",
386 "type": "string"
387 },
388 "paymentBlock": {
389 "id": 0,
390 "displayId": "string",
391 "status": "CREATED",
392 "name": "string"
393 },
394 "defaultCostCenter": {
395 "id": 0,
396 "displayId": "string",
397 "status": "CREATED",
398 "name": "string",
399 "erpSystemId": 0
400 },
401 "defaultProfitCenter": {
402 "id": 0,
403 "displayId": "string",
404 "status": "CREATED",
405 "name": "string",
406 "validTo": "2019-08-24",
407 "erpSystemId": 0,
408 "erpSystemDisplayId": "string"
409 },
410 "invoiceLineItems": [
411 {
412 "id": 0,
413 "displayId": "string",
414 "expenseCategory": {
415 "id": 0,
416 "displayId": "string",
417 "status": "CREATED",
418 "name": "string",
419 "expenseCategoryType": "PAYMENT"
420 },
421 "description": "string",
422 "unitOfMeasure": {
423 "id": 0,
424 "displayId": "string",
425 "status": "CREATED",
426 "name": "string",
427 "erpSystemId": 0
428 },
429 "quantity": 0,
430 "unitPrice": 0,
431 "taxJurisdiction": {
432 "id": 0,
433 "displayId": "string",
434 "status": "CREATED",
435 "name": "string",
436 "erpSystemId": 0,
437 "schema": "string",
438 "countryDisplayId": "string"
439 },
440 "taxCode": {
441 "id": 0,
442 "displayId": "string",
443 "status": "CREATED",
444 "name": "string",
445 "erpSystemId": 0
446 },
447 "taxExpenseAccount": {
448 "id": 0,
449 "displayId": "string",
450 "generalLedgerAccountName": "string",
451 "generalLedgerAccountCode": "string",
452 "openItemManagement": true,
453 "accountCategory": "BALANCESHEET",
454 "shortName": "string",
455 "longName": "string"
456 },
457 "taxLineItems": [
458 {
459 "id": 0,
460 "taxRate": 0.1,
461 "taxAmount": 0,
462 "taxType": "string",
463 "invoiceLineItemId": 0
464 }
465 ],
466 "workBreakdownStructure": {
467 "id": 0,
468 "displayId": "string",
469 "status": "CREATED",
470 "name": "string",
471 "erpSystemId": 0
472 },
473 "costCenter": {
474 "id": 0,
475 "displayId": "string",
476 "status": "CREATED",
477 "name": "string",
478 "erpSystemId": 0
479 },
480 "profitCenter": {
481 "id": 0,
482 "displayId": "string",
483 "status": "CREATED",
484 "name": "string",
485 "validTo": "2019-08-24",
486 "erpSystemId": 0,
487 "erpSystemDisplayId": "string"
488 },
489 "functionalArea": {
490 "id": 0,
491 "displayId": "string",
492 "status": "CREATED",
493 "name": "string",
494 "erpSystemId": 0
495 },
496 "businessArea": {
497 "id": 0,
498 "displayId": "string",
499 "status": "CREATED",
500 "name": "string",
501 "erpSystemId": 0
502 },
503 "segment": {
504 "id": 0,
505 "displayId": "string",
506 "status": "CREATED",
507 "name": "string",
508 "erpSystemId": 0
509 },
510 "network": {
511 "id": 0,
512 "displayId": "string",
513 "status": "CREATED",
514 "name": "string",
515 "erpSystemId": 0
516 },
517 "internalOrderType": {
518 "id": 0,
519 "displayId": "string",
520 "status": "CREATED",
521 "name": "string",
522 "erpSystemId": 0
523 },
524 "internalOrder": {
525 "id": 0,
526 "displayId": "string",
527 "status": "CREATED",
528 "name": "string",
529 "erpSystemId": 0,
530 "internalOrderTypeId": 0
531 },
532 "additionalCurrencies": [
533 {
534 "id": 0,
535 "amount": 0,
536 "currency": {
537 "id": 0,
538 "displayId": "string",
539 "status": "CREATED",
540 "name": "string",
541 "decimalPoints": 0
542 },
543 "conversionRate": 0,
544 "conversionDate": "2019-08-24",
545 "translationDateType": "DOCUMENT_DATE",
546 "amountType": "NET_AMOUNT",
547 "currencyDefinitionType": "CONTRACT_CURRENCY",
548 "invoiceEntryId": 0,
549 "invoiceEntryDisplayId": "string"
550 }
551 ],
552 "scheduledPaymentMatches": [
553 {
554 "id": 0,
555 "fromId": 0,
556 "toId": 0,
557 "amount": 0
558 }
559 ],
560 "goodsReceiptLineItemLinks": [
561 {
562 "id": 0,
563 "fromId": 0,
564 "toId": 0,
565 "linkedQuantity": 0
566 }
567 ],
568 "invoiceId": 0,
569 "invoiceDisplayId": "string",
570 "invoiceState": "INV_DRAFT",
571 "vendorPaymentId": 0,
572 "purchaseOrderLineItemId": 0,
573 "netAmount": 0,
574 "allowsSystemGenerateNewId": true,
575 "numberRangeIdentifierValue": "string",
576 "numberRangeIdentifierType": {
577 "name": "string"
578 },
579 "numberRangeType": {
580 "name": "string"
581 }
582 }
583 ],
584 "workspaceId": 0,
585 "workspaceDisplayId": "string",
586 "workspaceName": "string",
587 "workspaceState": "INV_DRAFT",
588 "remainingNetAmount": 0,
589 "remainingTaxAmount": 0,
590 "remainingTotalAmount": 0,
591 "pendingPaymentCount": 0,
592 "allPaymentsPosted": true,
593 "approvalInfo": {
594 "approverUsername": "string",
595 "approvedAt": "2019-08-24T14:15:22Z"
596 },
597 "rejectionReason": "string",
598 "allowsSystemGenerateNewId": true,
599 "numberRangeIdentifierValue": "string",
600 "numberRangeIdentifierType": {
601 "name": "string"
602 },
603 "numberRangeType": {
604 "name": "string"
605 }
606 }
607 ],
608 "rejectionReason": "string",
609 "allowsSystemGenerateNewId": true,
610 "numberRangeIdentifierValue": "string",
611 "numberRangeIdentifierType": {
612 "name": "string"
613 },
614 "numberRangeType": {
615 "name": "string"
616 }
617 }
618]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "state": "INV_DRAFT",
19 "issueDate": "2019-08-24",
20 "expectedDeliveryDate": "2019-08-24",
21 "name": "string",
22 "shippingAddress": "string",
23 "notes": "string",
24 "netAmount": 0,
25 "taxAmount": 0,
26 "externalPurchaseOrderDisplayId": "string",
27 "vendor": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "erpSystemDisplayId": "string"
33 },
34 "currency": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "decimalPoints": 0
40 },
41 "company": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "erpSystemId": 0,
46 "erpSystemDisplayId": "string",
47 "countryId": 0,
48 "countryDisplayId": "string",
49 "name": "string",
50 "postingPeriodVariantId": 0,
51 "fiscalVariantId": 0
52 },
53 "purchaseOrderLineItems": [
54 {
55 "id": 0,
56 "displayId": "string",
57 "quantity": 0,
58 "allocatedQuantity": 0,
59 "receivedQuantity": 0,
60 "unitPrice": 0,
61 "description": "string",
62 "expenseCategory": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "expenseCategoryType": "PAYMENT"
68 },
69 "costCenter": {
70 "id": 0,
71 "displayId": "string",
72 "status": "CREATED",
73 "name": "string",
74 "erpSystemId": 0
75 },
76 "profitCenter": {
77 "id": 0,
78 "displayId": "string",
79 "status": "CREATED",
80 "name": "string",
81 "validTo": "2019-08-24",
82 "erpSystemId": 0,
83 "erpSystemDisplayId": "string"
84 },
85 "taxJurisdiction": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "erpSystemId": 0,
91 "schema": "string",
92 "countryDisplayId": "string"
93 },
94 "taxCode": {
95 "id": 0,
96 "displayId": "string",
97 "status": "CREATED",
98 "name": "string",
99 "erpSystemId": 0
100 },
101 "taxLineItems": [
102 {
103 "id": 0,
104 "taxRate": 0.1,
105 "taxAmount": 0,
106 "taxType": "string",
107 "purchaseOrderLineItemId": 0
108 }
109 ],
110 "purchaseOrderId": 0,
111 "purchaseOrderDisplayId": "string",
112 "purchaseOrderState": "INV_DRAFT",
113 "invoiceLineItems": [
114 {
115 "id": 0,
116 "displayId": "string",
117 "expenseCategory": {
118 "id": 0,
119 "displayId": "string",
120 "status": "CREATED",
121 "name": "string",
122 "expenseCategoryType": "PAYMENT"
123 },
124 "description": "string",
125 "unitOfMeasure": {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string",
130 "erpSystemId": 0
131 },
132 "quantity": 0,
133 "unitPrice": 0,
134 "taxJurisdiction": {
135 "id": 0,
136 "displayId": "string",
137 "status": "CREATED",
138 "name": "string",
139 "erpSystemId": 0,
140 "schema": "string",
141 "countryDisplayId": "string"
142 },
143 "taxCode": {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string",
148 "erpSystemId": 0
149 },
150 "taxExpenseAccount": {
151 "id": 0,
152 "displayId": "string",
153 "generalLedgerAccountName": "string",
154 "generalLedgerAccountCode": "string",
155 "openItemManagement": true,
156 "accountCategory": "BALANCESHEET",
157 "shortName": "string",
158 "longName": "string"
159 },
160 "taxLineItems": [
161 {
162 "id": 0,
163 "taxRate": 0.1,
164 "taxAmount": 0,
165 "taxType": "string",
166 "invoiceLineItemId": 0
167 }
168 ],
169 "workBreakdownStructure": {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string",
174 "erpSystemId": 0
175 },
176 "costCenter": {
177 "id": 0,
178 "displayId": "string",
179 "status": "CREATED",
180 "name": "string",
181 "erpSystemId": 0
182 },
183 "profitCenter": {
184 "id": 0,
185 "displayId": "string",
186 "status": "CREATED",
187 "name": "string",
188 "validTo": "2019-08-24",
189 "erpSystemId": 0,
190 "erpSystemDisplayId": "string"
191 },
192 "functionalArea": {
193 "id": 0,
194 "displayId": "string",
195 "status": "CREATED",
196 "name": "string",
197 "erpSystemId": 0
198 },
199 "businessArea": {
200 "id": 0,
201 "displayId": "string",
202 "status": "CREATED",
203 "name": "string",
204 "erpSystemId": 0
205 },
206 "segment": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "erpSystemId": 0
212 },
213 "network": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "name": "string",
218 "erpSystemId": 0
219 },
220 "internalOrderType": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "name": "string",
225 "erpSystemId": 0
226 },
227 "internalOrder": {
228 "id": 0,
229 "displayId": "string",
230 "status": "CREATED",
231 "name": "string",
232 "erpSystemId": 0,
233 "internalOrderTypeId": 0
234 },
235 "additionalCurrencies": [
236 {
237 "id": 0,
238 "amount": 0,
239 "currency": {
240 "id": 0,
241 "displayId": "string",
242 "status": "CREATED",
243 "name": "string",
244 "decimalPoints": 0
245 },
246 "conversionRate": 0,
247 "conversionDate": "2019-08-24",
248 "translationDateType": "DOCUMENT_DATE",
249 "amountType": "NET_AMOUNT",
250 "currencyDefinitionType": "CONTRACT_CURRENCY",
251 "invoiceEntryId": 0,
252 "invoiceEntryDisplayId": "string"
253 }
254 ],
255 "scheduledPaymentMatches": [
256 {
257 "id": 0,
258 "fromId": 0,
259 "toId": 0,
260 "amount": 0
261 }
262 ],
263 "goodsReceiptLineItemLinks": [
264 {
265 "id": 0,
266 "fromId": 0,
267 "toId": 0,
268 "linkedQuantity": 0
269 }
270 ],
271 "invoiceId": 0,
272 "invoiceDisplayId": "string",
273 "invoiceState": "INV_DRAFT",
274 "vendorPaymentId": 0,
275 "purchaseOrderLineItemId": 0,
276 "netAmount": 0,
277 "allowsSystemGenerateNewId": true,
278 "numberRangeIdentifierValue": "string",
279 "numberRangeIdentifierType": {
280 "name": "string"
281 },
282 "numberRangeType": {
283 "name": "string"
284 }
285 }
286 ],
287 "goodsReceiptLineItems": [
288 {
289 "id": 0,
290 "displayId": "string",
291 "quantity": 0,
292 "invoicedQuantity": 0,
293 "description": "string",
294 "expenseCategory": {
295 "id": 0,
296 "displayId": "string",
297 "status": "CREATED",
298 "name": "string",
299 "expenseCategoryType": "PAYMENT"
300 },
301 "goodsReceiptId": 0,
302 "goodsReceiptDisplayId": "string",
303 "goodsReceiptState": "INV_DRAFT",
304 "purchaseOrderLineItemId": 0,
305 "invoiceLineItemLinks": [
306 {
307 "id": 0,
308 "fromId": 0,
309 "toId": 0,
310 "linkedQuantity": 0
311 }
312 ],
313 "availableQuantity": 0,
314 "allowsSystemGenerateNewId": true,
315 "numberRangeIdentifierValue": "string",
316 "numberRangeIdentifierType": {
317 "name": "string"
318 },
319 "numberRangeType": {
320 "name": "string"
321 }
322 }
323 ],
324 "vendorPaymentId": 0,
325 "purchaseRequisitionLineItemId": 0,
326 "purchaseRequisitionDisplayId": "string",
327 "purchaseRequisitionLineItemAvailableQuantity": 0,
328 "remainingQuantity": 0,
329 "availableQuantity": 0,
330 "allowsSystemGenerateNewId": true,
331 "numberRangeIdentifierValue": "string",
332 "numberRangeIdentifierType": {
333 "name": "string"
334 },
335 "numberRangeType": {
336 "name": "string"
337 }
338 }
339 ],
340 "purchaseRequisitionIds": [
341 0
342 ],
343 "purchaseRequisitionDisplayIds": [
344 "string"
345 ],
346 "invoices": [
347 {
348 "id": 0,
349 "displayId": "string",
350 "name": "string",
351 "invoiceType": "VENDOR_INV",
352 "state": "INV_DRAFT",
353 "externalDocumentNumber": "string",
354 "purchaseOrderReference": "string",
355 "invoiceDate": "2019-08-24",
356 "dueDate": "2019-08-24",
357 "notes": "string",
358 "billingPeriodFromDate": "2019-08-24",
359 "billingPeriodToDate": "2019-08-24",
360 "currency": {
361 "id": 0,
362 "displayId": "string",
363 "status": "CREATED",
364 "name": "string",
365 "decimalPoints": 0
366 },
367 "vendor": {
368 "id": 0,
369 "displayId": "string",
370 "status": "CREATED",
371 "name": "string",
372 "erpSystemDisplayId": "string"
373 },
374 "company": {
375 "id": 0,
376 "displayId": "string",
377 "status": "CREATED",
378 "erpSystemId": 0,
379 "erpSystemDisplayId": "string",
380 "countryId": 0,
381 "countryDisplayId": "string",
382 "name": "string",
383 "postingPeriodVariantId": 0,
384 "fiscalVariantId": 0
385 },
386 "netAmount": 0,
387 "taxAmount": 0,
388 "totalAmount": 0,
389 "netAmountBalance": 0,
390 "taxAmountBalance": 0,
391 "paymentTerm": {
392 "id": 0,
393 "displayId": "string",
394 "status": "CREATED",
395 "name": "string"
396 },
397 "paymentMethod": {
398 "id": 0,
399 "displayId": "string",
400 "status": "CREATED",
401 "name": "string",
402 "type": "string"
403 },
404 "paymentBlock": {
405 "id": 0,
406 "displayId": "string",
407 "status": "CREATED",
408 "name": "string"
409 },
410 "defaultCostCenter": {
411 "id": 0,
412 "displayId": "string",
413 "status": "CREATED",
414 "name": "string",
415 "erpSystemId": 0
416 },
417 "defaultProfitCenter": {
418 "id": 0,
419 "displayId": "string",
420 "status": "CREATED",
421 "name": "string",
422 "validTo": "2019-08-24",
423 "erpSystemId": 0,
424 "erpSystemDisplayId": "string"
425 },
426 "invoiceLineItems": [
427 {
428 "id": 0,
429 "displayId": "string",
430 "expenseCategory": {
431 "id": 0,
432 "displayId": "string",
433 "status": "CREATED",
434 "name": "string",
435 "expenseCategoryType": "PAYMENT"
436 },
437 "description": "string",
438 "unitOfMeasure": {
439 "id": 0,
440 "displayId": "string",
441 "status": "CREATED",
442 "name": "string",
443 "erpSystemId": 0
444 },
445 "quantity": 0,
446 "unitPrice": 0,
447 "taxJurisdiction": {
448 "id": 0,
449 "displayId": "string",
450 "status": "CREATED",
451 "name": "string",
452 "erpSystemId": 0,
453 "schema": "string",
454 "countryDisplayId": "string"
455 },
456 "taxCode": {
457 "id": 0,
458 "displayId": "string",
459 "status": "CREATED",
460 "name": "string",
461 "erpSystemId": 0
462 },
463 "taxExpenseAccount": {
464 "id": 0,
465 "displayId": "string",
466 "generalLedgerAccountName": "string",
467 "generalLedgerAccountCode": "string",
468 "openItemManagement": true,
469 "accountCategory": "BALANCESHEET",
470 "shortName": "string",
471 "longName": "string"
472 },
473 "taxLineItems": [
474 {
475 "id": 0,
476 "taxRate": 0.1,
477 "taxAmount": 0,
478 "taxType": "string",
479 "invoiceLineItemId": 0
480 }
481 ],
482 "workBreakdownStructure": {
483 "id": 0,
484 "displayId": "string",
485 "status": "CREATED",
486 "name": "string",
487 "erpSystemId": 0
488 },
489 "costCenter": {
490 "id": 0,
491 "displayId": "string",
492 "status": "CREATED",
493 "name": "string",
494 "erpSystemId": 0
495 },
496 "profitCenter": {
497 "id": 0,
498 "displayId": "string",
499 "status": "CREATED",
500 "name": "string",
501 "validTo": "2019-08-24",
502 "erpSystemId": 0,
503 "erpSystemDisplayId": "string"
504 },
505 "functionalArea": {
506 "id": 0,
507 "displayId": "string",
508 "status": "CREATED",
509 "name": "string",
510 "erpSystemId": 0
511 },
512 "businessArea": {
513 "id": 0,
514 "displayId": "string",
515 "status": "CREATED",
516 "name": "string",
517 "erpSystemId": 0
518 },
519 "segment": {
520 "id": 0,
521 "displayId": "string",
522 "status": "CREATED",
523 "name": "string",
524 "erpSystemId": 0
525 },
526 "network": {
527 "id": 0,
528 "displayId": "string",
529 "status": "CREATED",
530 "name": "string",
531 "erpSystemId": 0
532 },
533 "internalOrderType": {
534 "id": 0,
535 "displayId": "string",
536 "status": "CREATED",
537 "name": "string",
538 "erpSystemId": 0
539 },
540 "internalOrder": {
541 "id": 0,
542 "displayId": "string",
543 "status": "CREATED",
544 "name": "string",
545 "erpSystemId": 0,
546 "internalOrderTypeId": 0
547 },
548 "additionalCurrencies": [
549 {
550 "id": 0,
551 "amount": 0,
552 "currency": {
553 "id": 0,
554 "displayId": "string",
555 "status": "CREATED",
556 "name": "string",
557 "decimalPoints": 0
558 },
559 "conversionRate": 0,
560 "conversionDate": "2019-08-24",
561 "translationDateType": "DOCUMENT_DATE",
562 "amountType": "NET_AMOUNT",
563 "currencyDefinitionType": "CONTRACT_CURRENCY",
564 "invoiceEntryId": 0,
565 "invoiceEntryDisplayId": "string"
566 }
567 ],
568 "scheduledPaymentMatches": [
569 {
570 "id": 0,
571 "fromId": 0,
572 "toId": 0,
573 "amount": 0
574 }
575 ],
576 "goodsReceiptLineItemLinks": [
577 {
578 "id": 0,
579 "fromId": 0,
580 "toId": 0,
581 "linkedQuantity": 0
582 }
583 ],
584 "invoiceId": 0,
585 "invoiceDisplayId": "string",
586 "invoiceState": "INV_DRAFT",
587 "vendorPaymentId": 0,
588 "purchaseOrderLineItemId": 0,
589 "netAmount": 0,
590 "allowsSystemGenerateNewId": true,
591 "numberRangeIdentifierValue": "string",
592 "numberRangeIdentifierType": {
593 "name": "string"
594 },
595 "numberRangeType": {
596 "name": "string"
597 }
598 }
599 ],
600 "workspaceId": 0,
601 "workspaceDisplayId": "string",
602 "workspaceName": "string",
603 "workspaceState": "INV_DRAFT",
604 "remainingNetAmount": 0,
605 "remainingTaxAmount": 0,
606 "remainingTotalAmount": 0,
607 "pendingPaymentCount": 0,
608 "allPaymentsPosted": true,
609 "approvalInfo": {
610 "approverUsername": "string",
611 "approvedAt": "2019-08-24T14:15:22Z"
612 },
613 "rejectionReason": "string",
614 "allowsSystemGenerateNewId": true,
615 "numberRangeIdentifierValue": "string",
616 "numberRangeIdentifierType": {
617 "name": "string"
618 },
619 "numberRangeType": {
620 "name": "string"
621 }
622 }
623 ],
624 "rejectionReason": "string",
625 "allowsSystemGenerateNewId": true,
626 "numberRangeIdentifierValue": "string",
627 "numberRangeIdentifierType": {
628 "name": "string"
629 },
630 "numberRangeType": {
631 "name": "string"
632 }
633 }
634 ]
635}
Create Or Update A Resource¶
HTTP Request
PUT /api/v1/purchase-order/createOrUpdate
📋 Description: Creates the resource if no matching record exists, or fully updates it if one is found. Idempotent: safe to call multiple times with the same payload.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the purchase order details, including item specifications, quantities, pricing, and supplier information for creating or updating a purchase order. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "state": "INV_DRAFT",
5 "issueDate": "2019-08-24",
6 "expectedDeliveryDate": "2019-08-24",
7 "name": "string",
8 "shippingAddress": "string",
9 "notes": "string",
10 "netAmount": 0,
11 "taxAmount": 0,
12 "externalPurchaseOrderDisplayId": "string",
13 "vendor": {
14 "id": 0,
15 "displayId": "string",
16 "status": "CREATED",
17 "name": "string",
18 "erpSystemDisplayId": "string"
19 },
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "company": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "erpSystemId": 0,
32 "erpSystemDisplayId": "string",
33 "countryId": 0,
34 "countryDisplayId": "string",
35 "name": "string",
36 "postingPeriodVariantId": 0,
37 "fiscalVariantId": 0
38 },
39 "purchaseOrderLineItems": [
40 {
41 "id": 0,
42 "displayId": "string",
43 "quantity": 0,
44 "allocatedQuantity": 0,
45 "receivedQuantity": 0,
46 "unitPrice": 0,
47 "description": "string",
48 "expenseCategory": {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "name": "string",
53 "expenseCategoryType": "PAYMENT"
54 },
55 "costCenter": {
56 "id": 0,
57 "displayId": "string",
58 "status": "CREATED",
59 "name": "string",
60 "erpSystemId": 0
61 },
62 "profitCenter": {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "validTo": "2019-08-24",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 },
71 "taxJurisdiction": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string",
76 "erpSystemId": 0,
77 "schema": "string",
78 "countryDisplayId": "string"
79 },
80 "taxCode": {
81 "id": 0,
82 "displayId": "string",
83 "status": "CREATED",
84 "name": "string",
85 "erpSystemId": 0
86 },
87 "taxLineItems": [
88 {
89 "id": 0,
90 "taxRate": 0.1,
91 "taxAmount": 0,
92 "taxType": "string",
93 "purchaseOrderLineItemId": 0
94 }
95 ],
96 "purchaseOrderId": 0,
97 "purchaseOrderDisplayId": "string",
98 "purchaseOrderState": "INV_DRAFT",
99 "invoiceLineItems": [
100 {
101 "id": 0,
102 "displayId": "string",
103 "expenseCategory": {
104 "id": 0,
105 "displayId": "string",
106 "status": "CREATED",
107 "name": "string",
108 "expenseCategoryType": "PAYMENT"
109 },
110 "description": "string",
111 "unitOfMeasure": {
112 "id": 0,
113 "displayId": "string",
114 "status": "CREATED",
115 "name": "string",
116 "erpSystemId": 0
117 },
118 "quantity": 0,
119 "unitPrice": 0,
120 "taxJurisdiction": {
121 "id": 0,
122 "displayId": "string",
123 "status": "CREATED",
124 "name": "string",
125 "erpSystemId": 0,
126 "schema": "string",
127 "countryDisplayId": "string"
128 },
129 "taxCode": {
130 "id": 0,
131 "displayId": "string",
132 "status": "CREATED",
133 "name": "string",
134 "erpSystemId": 0
135 },
136 "taxExpenseAccount": {
137 "id": 0,
138 "displayId": "string",
139 "generalLedgerAccountName": "string",
140 "generalLedgerAccountCode": "string",
141 "openItemManagement": true,
142 "accountCategory": "BALANCESHEET",
143 "shortName": "string",
144 "longName": "string"
145 },
146 "taxLineItems": [
147 {
148 "id": 0,
149 "taxRate": 0.1,
150 "taxAmount": 0,
151 "taxType": "string",
152 "invoiceLineItemId": 0
153 }
154 ],
155 "workBreakdownStructure": {
156 "id": 0,
157 "displayId": "string",
158 "status": "CREATED",
159 "name": "string",
160 "erpSystemId": 0
161 },
162 "costCenter": {
163 "id": 0,
164 "displayId": "string",
165 "status": "CREATED",
166 "name": "string",
167 "erpSystemId": 0
168 },
169 "profitCenter": {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string",
174 "validTo": "2019-08-24",
175 "erpSystemId": 0,
176 "erpSystemDisplayId": "string"
177 },
178 "functionalArea": {
179 "id": 0,
180 "displayId": "string",
181 "status": "CREATED",
182 "name": "string",
183 "erpSystemId": 0
184 },
185 "businessArea": {
186 "id": 0,
187 "displayId": "string",
188 "status": "CREATED",
189 "name": "string",
190 "erpSystemId": 0
191 },
192 "segment": {
193 "id": 0,
194 "displayId": "string",
195 "status": "CREATED",
196 "name": "string",
197 "erpSystemId": 0
198 },
199 "network": {
200 "id": 0,
201 "displayId": "string",
202 "status": "CREATED",
203 "name": "string",
204 "erpSystemId": 0
205 },
206 "internalOrderType": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "erpSystemId": 0
212 },
213 "internalOrder": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "name": "string",
218 "erpSystemId": 0,
219 "internalOrderTypeId": 0
220 },
221 "additionalCurrencies": [
222 {
223 "id": 0,
224 "amount": 0,
225 "currency": {
226 "id": 0,
227 "displayId": "string",
228 "status": "CREATED",
229 "name": "string",
230 "decimalPoints": 0
231 },
232 "conversionRate": 0,
233 "conversionDate": "2019-08-24",
234 "translationDateType": "DOCUMENT_DATE",
235 "amountType": "NET_AMOUNT",
236 "currencyDefinitionType": "CONTRACT_CURRENCY",
237 "invoiceEntryId": 0,
238 "invoiceEntryDisplayId": "string"
239 }
240 ],
241 "scheduledPaymentMatches": [
242 {
243 "id": 0,
244 "fromId": 0,
245 "toId": 0,
246 "amount": 0
247 }
248 ],
249 "goodsReceiptLineItemLinks": [
250 {
251 "id": 0,
252 "fromId": 0,
253 "toId": 0,
254 "linkedQuantity": 0
255 }
256 ],
257 "invoiceId": 0,
258 "invoiceDisplayId": "string",
259 "invoiceState": "INV_DRAFT",
260 "vendorPaymentId": 0,
261 "purchaseOrderLineItemId": 0,
262 "netAmount": 0,
263 "allowsSystemGenerateNewId": true,
264 "numberRangeIdentifierValue": "string",
265 "numberRangeIdentifierType": {
266 "name": "string"
267 },
268 "numberRangeType": {
269 "name": "string"
270 }
271 }
272 ],
273 "goodsReceiptLineItems": [
274 {
275 "id": 0,
276 "displayId": "string",
277 "quantity": 0,
278 "invoicedQuantity": 0,
279 "description": "string",
280 "expenseCategory": {
281 "id": 0,
282 "displayId": "string",
283 "status": "CREATED",
284 "name": "string",
285 "expenseCategoryType": "PAYMENT"
286 },
287 "goodsReceiptId": 0,
288 "goodsReceiptDisplayId": "string",
289 "goodsReceiptState": "INV_DRAFT",
290 "purchaseOrderLineItemId": 0,
291 "invoiceLineItemLinks": [
292 {
293 "id": 0,
294 "fromId": 0,
295 "toId": 0,
296 "linkedQuantity": 0
297 }
298 ],
299 "allowsSystemGenerateNewId": true,
300 "numberRangeIdentifierValue": "string",
301 "numberRangeIdentifierType": {
302 "name": "string"
303 },
304 "numberRangeType": {
305 "name": "string"
306 }
307 }
308 ],
309 "vendorPaymentId": 0,
310 "purchaseRequisitionLineItemId": 0,
311 "purchaseRequisitionDisplayId": "string",
312 "purchaseRequisitionLineItemAvailableQuantity": 0,
313 "allowsSystemGenerateNewId": true,
314 "numberRangeIdentifierValue": "string",
315 "numberRangeIdentifierType": {
316 "name": "string"
317 },
318 "numberRangeType": {
319 "name": "string"
320 }
321 }
322 ],
323 "purchaseRequisitionIds": [
324 0
325 ],
326 "purchaseRequisitionDisplayIds": [
327 "string"
328 ],
329 "invoices": [
330 {
331 "id": 0,
332 "displayId": "string",
333 "name": "string",
334 "invoiceType": "VENDOR_INV",
335 "state": "INV_DRAFT",
336 "externalDocumentNumber": "string",
337 "purchaseOrderReference": "string",
338 "invoiceDate": "2019-08-24",
339 "dueDate": "2019-08-24",
340 "notes": "string",
341 "billingPeriodFromDate": "2019-08-24",
342 "billingPeriodToDate": "2019-08-24",
343 "currency": {
344 "id": 0,
345 "displayId": "string",
346 "status": "CREATED",
347 "name": "string",
348 "decimalPoints": 0
349 },
350 "vendor": {
351 "id": 0,
352 "displayId": "string",
353 "status": "CREATED",
354 "name": "string",
355 "erpSystemDisplayId": "string"
356 },
357 "company": {
358 "id": 0,
359 "displayId": "string",
360 "status": "CREATED",
361 "erpSystemId": 0,
362 "erpSystemDisplayId": "string",
363 "countryId": 0,
364 "countryDisplayId": "string",
365 "name": "string",
366 "postingPeriodVariantId": 0,
367 "fiscalVariantId": 0
368 },
369 "netAmount": 0,
370 "taxAmount": 0,
371 "totalAmount": 0,
372 "netAmountBalance": 0,
373 "taxAmountBalance": 0,
374 "paymentTerm": {
375 "id": 0,
376 "displayId": "string",
377 "status": "CREATED",
378 "name": "string"
379 },
380 "paymentMethod": {
381 "id": 0,
382 "displayId": "string",
383 "status": "CREATED",
384 "name": "string",
385 "type": "string"
386 },
387 "paymentBlock": {
388 "id": 0,
389 "displayId": "string",
390 "status": "CREATED",
391 "name": "string"
392 },
393 "defaultCostCenter": {
394 "id": 0,
395 "displayId": "string",
396 "status": "CREATED",
397 "name": "string",
398 "erpSystemId": 0
399 },
400 "defaultProfitCenter": {
401 "id": 0,
402 "displayId": "string",
403 "status": "CREATED",
404 "name": "string",
405 "validTo": "2019-08-24",
406 "erpSystemId": 0,
407 "erpSystemDisplayId": "string"
408 },
409 "invoiceLineItems": [
410 {
411 "id": 0,
412 "displayId": "string",
413 "expenseCategory": {
414 "id": 0,
415 "displayId": "string",
416 "status": "CREATED",
417 "name": "string",
418 "expenseCategoryType": "PAYMENT"
419 },
420 "description": "string",
421 "unitOfMeasure": {
422 "id": 0,
423 "displayId": "string",
424 "status": "CREATED",
425 "name": "string",
426 "erpSystemId": 0
427 },
428 "quantity": 0,
429 "unitPrice": 0,
430 "taxJurisdiction": {
431 "id": 0,
432 "displayId": "string",
433 "status": "CREATED",
434 "name": "string",
435 "erpSystemId": 0,
436 "schema": "string",
437 "countryDisplayId": "string"
438 },
439 "taxCode": {
440 "id": 0,
441 "displayId": "string",
442 "status": "CREATED",
443 "name": "string",
444 "erpSystemId": 0
445 },
446 "taxExpenseAccount": {
447 "id": 0,
448 "displayId": "string",
449 "generalLedgerAccountName": "string",
450 "generalLedgerAccountCode": "string",
451 "openItemManagement": true,
452 "accountCategory": "BALANCESHEET",
453 "shortName": "string",
454 "longName": "string"
455 },
456 "taxLineItems": [
457 {
458 "id": 0,
459 "taxRate": 0.1,
460 "taxAmount": 0,
461 "taxType": "string",
462 "invoiceLineItemId": 0
463 }
464 ],
465 "workBreakdownStructure": {
466 "id": 0,
467 "displayId": "string",
468 "status": "CREATED",
469 "name": "string",
470 "erpSystemId": 0
471 },
472 "costCenter": {
473 "id": 0,
474 "displayId": "string",
475 "status": "CREATED",
476 "name": "string",
477 "erpSystemId": 0
478 },
479 "profitCenter": {
480 "id": 0,
481 "displayId": "string",
482 "status": "CREATED",
483 "name": "string",
484 "validTo": "2019-08-24",
485 "erpSystemId": 0,
486 "erpSystemDisplayId": "string"
487 },
488 "functionalArea": {
489 "id": 0,
490 "displayId": "string",
491 "status": "CREATED",
492 "name": "string",
493 "erpSystemId": 0
494 },
495 "businessArea": {
496 "id": 0,
497 "displayId": "string",
498 "status": "CREATED",
499 "name": "string",
500 "erpSystemId": 0
501 },
502 "segment": {
503 "id": 0,
504 "displayId": "string",
505 "status": "CREATED",
506 "name": "string",
507 "erpSystemId": 0
508 },
509 "network": {
510 "id": 0,
511 "displayId": "string",
512 "status": "CREATED",
513 "name": "string",
514 "erpSystemId": 0
515 },
516 "internalOrderType": {
517 "id": 0,
518 "displayId": "string",
519 "status": "CREATED",
520 "name": "string",
521 "erpSystemId": 0
522 },
523 "internalOrder": {
524 "id": 0,
525 "displayId": "string",
526 "status": "CREATED",
527 "name": "string",
528 "erpSystemId": 0,
529 "internalOrderTypeId": 0
530 },
531 "additionalCurrencies": [
532 {
533 "id": 0,
534 "amount": 0,
535 "currency": {
536 "id": 0,
537 "displayId": "string",
538 "status": "CREATED",
539 "name": "string",
540 "decimalPoints": 0
541 },
542 "conversionRate": 0,
543 "conversionDate": "2019-08-24",
544 "translationDateType": "DOCUMENT_DATE",
545 "amountType": "NET_AMOUNT",
546 "currencyDefinitionType": "CONTRACT_CURRENCY",
547 "invoiceEntryId": 0,
548 "invoiceEntryDisplayId": "string"
549 }
550 ],
551 "scheduledPaymentMatches": [
552 {
553 "id": 0,
554 "fromId": 0,
555 "toId": 0,
556 "amount": 0
557 }
558 ],
559 "goodsReceiptLineItemLinks": [
560 {
561 "id": 0,
562 "fromId": 0,
563 "toId": 0,
564 "linkedQuantity": 0
565 }
566 ],
567 "invoiceId": 0,
568 "invoiceDisplayId": "string",
569 "invoiceState": "INV_DRAFT",
570 "vendorPaymentId": 0,
571 "purchaseOrderLineItemId": 0,
572 "netAmount": 0,
573 "allowsSystemGenerateNewId": true,
574 "numberRangeIdentifierValue": "string",
575 "numberRangeIdentifierType": {
576 "name": "string"
577 },
578 "numberRangeType": {
579 "name": "string"
580 }
581 }
582 ],
583 "workspaceId": 0,
584 "workspaceDisplayId": "string",
585 "workspaceName": "string",
586 "workspaceState": "INV_DRAFT",
587 "remainingNetAmount": 0,
588 "remainingTaxAmount": 0,
589 "remainingTotalAmount": 0,
590 "pendingPaymentCount": 0,
591 "allPaymentsPosted": true,
592 "approvalInfo": {
593 "approverUsername": "string",
594 "approvedAt": "2019-08-24T14:15:22Z"
595 },
596 "rejectionReason": "string",
597 "allowsSystemGenerateNewId": true,
598 "numberRangeIdentifierValue": "string",
599 "numberRangeIdentifierType": {
600 "name": "string"
601 },
602 "numberRangeType": {
603 "name": "string"
604 }
605 }
606 ],
607 "rejectionReason": "string",
608 "allowsSystemGenerateNewId": true,
609 "numberRangeIdentifierValue": "string",
610 "numberRangeIdentifierType": {
611 "name": "string"
612 },
613 "numberRangeType": {
614 "name": "string"
615 }
616}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "state": "INV_DRAFT",
18 "issueDate": "2019-08-24",
19 "expectedDeliveryDate": "2019-08-24",
20 "name": "string",
21 "shippingAddress": "string",
22 "notes": "string",
23 "netAmount": 0,
24 "taxAmount": 0,
25 "externalPurchaseOrderDisplayId": "string",
26 "vendor": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "currency": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string",
38 "decimalPoints": 0
39 },
40 "company": {
41 "id": 0,
42 "displayId": "string",
43 "status": "CREATED",
44 "erpSystemId": 0,
45 "erpSystemDisplayId": "string",
46 "countryId": 0,
47 "countryDisplayId": "string",
48 "name": "string",
49 "postingPeriodVariantId": 0,
50 "fiscalVariantId": 0
51 },
52 "purchaseOrderLineItems": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "quantity": 0,
57 "allocatedQuantity": 0,
58 "receivedQuantity": 0,
59 "unitPrice": 0,
60 "description": "string",
61 "expenseCategory": {
62 "id": 0,
63 "displayId": "string",
64 "status": "CREATED",
65 "name": "string",
66 "expenseCategoryType": "PAYMENT"
67 },
68 "costCenter": {
69 "id": 0,
70 "displayId": "string",
71 "status": "CREATED",
72 "name": "string",
73 "erpSystemId": 0
74 },
75 "profitCenter": {
76 "id": 0,
77 "displayId": "string",
78 "status": "CREATED",
79 "name": "string",
80 "validTo": "2019-08-24",
81 "erpSystemId": 0,
82 "erpSystemDisplayId": "string"
83 },
84 "taxJurisdiction": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "erpSystemId": 0,
90 "schema": "string",
91 "countryDisplayId": "string"
92 },
93 "taxCode": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "taxLineItems": [
101 {
102 "id": 0,
103 "taxRate": 0.1,
104 "taxAmount": 0,
105 "taxType": "string",
106 "purchaseOrderLineItemId": 0
107 }
108 ],
109 "purchaseOrderId": 0,
110 "purchaseOrderDisplayId": "string",
111 "purchaseOrderState": "INV_DRAFT",
112 "invoiceLineItems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "expenseCategory": {
117 "id": 0,
118 "displayId": "string",
119 "status": "CREATED",
120 "name": "string",
[...]
